summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-03-15 08:01:49 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-03-15 08:01:49 +0000
commitca49bb673cb95a5110ac8fcfd2e37b823716b388 (patch)
treee5a9f90600f06768496cb25373d793a9f05554c2 /dev-python
parentd6f36cc9110dbd847e3529a0585783c64557b56a (diff)
downloadbaldeagleos-repo-ca49bb673cb95a5110ac8fcfd2e37b823716b388.tar.gz
baldeagleos-repo-ca49bb673cb95a5110ac8fcfd2e37b823716b388.tar.xz
baldeagleos-repo-ca49bb673cb95a5110ac8fcfd2e37b823716b388.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/ablog/Manifest2
-rw-r--r--dev-python/ablog/ablog-0.10.32.ebuild28
-rw-r--r--dev-python/ablog/ablog-0.10.33.ebuild28
-rw-r--r--dev-python/ablog/metadata.xml10
-rw-r--r--dev-python/aws-sam-translator/Manifest1
-rw-r--r--dev-python/aws-sam-translator/aws-sam-translator-1.62.0.ebuild60
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.26.91.ebuild68
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.29.91.ebuild74
-rw-r--r--dev-python/browser-cookie3/Manifest1
-rw-r--r--dev-python/browser-cookie3/browser-cookie3-0.17.1.ebuild30
-rw-r--r--dev-python/canonicaljson/Manifest1
-rw-r--r--dev-python/canonicaljson/canonicaljson-2.0.0.ebuild21
-rw-r--r--dev-python/cfn-lint/Manifest1
-rw-r--r--dev-python/cfn-lint/cfn-lint-0.74.3.ebuild55
-rw-r--r--dev-python/clang-python/Manifest1
-rw-r--r--dev-python/clang-python/clang-python-17.0.0_pre20230314.ebuild54
-rw-r--r--dev-python/doublex/Manifest1
-rw-r--r--dev-python/doublex/doublex-1.9.5.1.ebuild59
-rw-r--r--dev-python/doublex/doublex-1.9.6.1.ebuild2
-rw-r--r--dev-python/doublex/files/doublex-1.9.2-py310.patch33
-rw-r--r--dev-python/doublex/files/doublex-1.9.5.1-py310.patch29
-rw-r--r--dev-python/ensurepip-wheel/Manifest1
-rw-r--r--dev-python/ensurepip-wheel/ensurepip-wheel-0.40.0.ebuild20
-rw-r--r--dev-python/feedgen/Manifest1
-rw-r--r--dev-python/feedgen/feedgen-0.9.0.ebuild21
-rw-r--r--dev-python/feedgen/metadata.xml10
-rw-r--r--dev-python/filelock/Manifest1
-rw-r--r--dev-python/filelock/filelock-3.9.1.ebuild28
-rw-r--r--dev-python/lit/Manifest1
-rw-r--r--dev-python/lit/lit-17.0.0_pre20230314.ebuild42
-rw-r--r--dev-python/mkdocs-material/Manifest1
-rw-r--r--dev-python/mkdocs-material/mkdocs-material-9.1.3.ebuild53
-rw-r--r--dev-python/mkdocs-minify-plugin/Manifest1
-rw-r--r--dev-python/mkdocs-minify-plugin/mkdocs-minify-plugin-0.6.3.ebuild42
-rw-r--r--dev-python/nbclassic/nbclassic-0.5.3.ebuild2
-rw-r--r--dev-python/nbconvert/Manifest1
-rw-r--r--dev-python/nbconvert/nbconvert-7.2.10.ebuild102
-rw-r--r--dev-python/nbsphinx/Manifest1
-rw-r--r--dev-python/nbsphinx/nbsphinx-0.9.1.ebuild28
-rw-r--r--dev-python/netcdf4/netcdf4-1.5.8.ebuild2
-rw-r--r--dev-python/netcdf4/netcdf4-1.6.3.ebuild2
-rw-r--r--dev-python/notebook_shim/notebook_shim-0.2.2-r1.ebuild2
-rw-r--r--dev-python/pathspec/Manifest1
-rw-r--r--dev-python/pathspec/pathspec-0.11.1.ebuild21
-rw-r--r--dev-python/pygame/Manifest1
-rw-r--r--dev-python/pygame/pygame-2.3.0.ebuild87
-rw-r--r--dev-python/python-dotenv/Manifest1
-rw-r--r--dev-python/python-dotenv/python-dotenv-0.21.1-r1.ebuild44
-rw-r--r--dev-python/python-dotenv/python-dotenv-0.21.1.ebuild41
-rw-r--r--dev-python/simplejson/Manifest1
-rw-r--r--dev-python/simplejson/simplejson-3.18.4.ebuild34
-rw-r--r--dev-python/sphinxcontrib-gtagjs/Manifest2
-rw-r--r--dev-python/sphinxcontrib-gtagjs/metadata.xml10
-rw-r--r--dev-python/sphinxcontrib-gtagjs/sphinxcontrib-gtagjs-0.2.0.ebuild21
-rw-r--r--dev-python/sphinxcontrib-gtagjs/sphinxcontrib-gtagjs-0.2.1.ebuild21
-rw-r--r--dev-python/sphinxcontrib-jquery/Manifest1
-rw-r--r--dev-python/sphinxcontrib-jquery/sphinxcontrib-jquery-4.1.ebuild27
-rw-r--r--dev-python/sphinxext-opengraph/Manifest2
-rw-r--r--dev-python/sphinxext-opengraph/metadata.xml10
-rw-r--r--dev-python/sphinxext-opengraph/sphinxext-opengraph-0.7.5.ebuild21
-rw-r--r--dev-python/sphinxext-opengraph/sphinxext-opengraph-0.8.1.ebuild21
-rw-r--r--dev-python/sphinxnotes-mock/Manifest2
-rw-r--r--dev-python/sphinxnotes-mock/metadata.xml10
-rw-r--r--dev-python/sphinxnotes-mock/sphinxnotes-mock-1.0.0_beta.ebuild24
-rw-r--r--dev-python/sphinxnotes-mock/sphinxnotes-mock-1.0.2.ebuild22
-rw-r--r--dev-python/sphinxnotes-strike/Manifest2
-rw-r--r--dev-python/sphinxnotes-strike/metadata.xml10
-rw-r--r--dev-python/sphinxnotes-strike/sphinxnotes-strike-1.1.ebuild21
-rw-r--r--dev-python/sphinxnotes-strike/sphinxnotes-strike-1.2-r1.ebuild25
-rw-r--r--dev-python/tavern/Manifest1
-rw-r--r--dev-python/tavern/tavern-2.0.6.ebuild54
-rw-r--r--dev-python/testtools/Manifest1
-rw-r--r--dev-python/testtools/testtools-2.6.0.ebuild53
-rw-r--r--dev-python/typeguard/Manifest1
-rw-r--r--dev-python/typeguard/typeguard-3.0.0.ebuild45
-rw-r--r--dev-python/types-gdb/Manifest1
-rw-r--r--dev-python/types-gdb/types-gdb-12.1.4.4.ebuild17
-rw-r--r--dev-python/wheel/Manifest1
-rw-r--r--dev-python/wheel/wheel-0.40.0.ebuild40
81 files changed, 1083 insertions, 537 deletions
diff --git a/dev-python/ablog/Manifest b/dev-python/ablog/Manifest
deleted file mode 100644
index 8de91fa1cf01..000000000000
--- a/dev-python/ablog/Manifest
+++ /dev/null
@@ -1,2 +0,0 @@
-DIST ablog-0.10.32.tar.gz 96601 BLAKE2B 59707cfecf2dec9180ac075b65ed6dc613ebfe9b88282251ba1809fee872ca6cc4d3c04995c84774527c561e0e1aa2d80964082f252a7e5e5bbc6b62ed6542c3 SHA512 017650c368144c2bcd25fc22a09bf59879534dae0565be42b1bab3e4decac0600428a7b314d9e0589ca02723cb704fd1a3e3673a24460b4ff272e8b3de26fe20
-DIST ablog-0.10.33.tar.gz 96551 BLAKE2B 5d6ded307572af36f9f87b9f73000378d73ac22b0691c60fca935cc69841e6682b77bc3eacbb1c3bf99719a80bd7ac983680fa7f355d70424586a9fba93e5816 SHA512 0e6fcead0e6a7456063a1fc4836ee4b7f4a157d37eeb3c7b6c8fc8c521a35b30a482287dd4d0d7b298067f1607501f8cfc47da6eb2e0ca2dcfa6cff6324129b4
diff --git a/dev-python/ablog/ablog-0.10.32.ebuild b/dev-python/ablog/ablog-0.10.32.ebuild
deleted file mode 100644
index 7056688ca1b4..000000000000
--- a/dev-python/ablog/ablog-0.10.32.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 2022 Liguros Authors
-# Distributed under the terms of the GNU General Public License v2
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-PYTHON_REQ_USE="ncurses"
-RESTRICT="test"
-
-inherit distutils-r1
-
-DESCRIPTION="Sphinx extension that converts any documentation/website project into a blog."
-HOMEPAGE="https://ablog.readthedocs.io/"
-SRC_URI="https://files.pythonhosted.org/packages/94/0b/30db120da4f7c7dff30b820782e0c6edc3dad1955426792af874f405e87f/${P}.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~mips ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
-IUSE="examples"
-
-distutils_enable_sphinx docs
-distutils_enable_tests setup.py
-
-src_prepare() {
- cd ${S}
- # removing test directory, as it is not allowed to be installed
- rm -rf tests
- default
-}
diff --git a/dev-python/ablog/ablog-0.10.33.ebuild b/dev-python/ablog/ablog-0.10.33.ebuild
deleted file mode 100644
index 4e7eb8a603f9..000000000000
--- a/dev-python/ablog/ablog-0.10.33.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 2022 Liguros Authors
-# Distributed under the terms of the GNU General Public License v2
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-PYTHON_REQ_USE="ncurses"
-RESTRICT="test"
-
-inherit distutils-r1
-
-DESCRIPTION="Sphinx extension that converts any documentation/website project into a blog."
-HOMEPAGE="https://ablog.readthedocs.io/"
-SRC_URI="https://files.pythonhosted.org/packages/2f/47/ca504c46b85b71dcc39862f26bbec58a6191c1613a1961cb075583eddb82/ablog-0.10.33.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~mips ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
-IUSE="examples"
-
-distutils_enable_sphinx docs
-distutils_enable_tests setup.py
-
-src_prepare() {
- cd ${S}
- # removing test directory, as it is not allowed to be installed
- rm -rf tests
- default
-}
diff --git a/dev-python/ablog/metadata.xml b/dev-python/ablog/metadata.xml
deleted file mode 100644
index 36acccda7221..000000000000
--- a/dev-python/ablog/metadata.xml
+++ /dev/null
@@ -1,10 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="project">
- <email>dev@liguros.net</email>
- <name>Development</name>
- </maintainer>
-
- <origin>ports</origin>
-</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/aws-sam-translator/Manifest b/dev-python/aws-sam-translator/Manifest
index 26f9c0190212..f7624ff68404 100644
--- a/dev-python/aws-sam-translator/Manifest
+++ b/dev-python/aws-sam-translator/Manifest
@@ -1,3 +1,4 @@
DIST aws-sam-translator-1.59.0.gh.tar.gz 1688806 BLAKE2B 66e63f5d008b120d95b2258552ba7ea531b6dc2d0090360c3777bcac167f95a0167cf200a8b29d798699e87a060befee71f7e8316ed395eded073960b4f1a18b SHA512 558b5dfe586c0badb7b5b5f35a6b841ffe94f2e6fb68acf7c492529abfe3756760fc5d8cdb16550ebbc47671fa12e09620b445d086f008d05f80606710ec67a9
DIST serverless-application-model-1.60.1.gh.tar.gz 4600439 BLAKE2B fabd84e66da433410ff7d54a9db9ae6aed5dd67de16669450146adb5f86ef3b0b90a1c6165b935eb1aef0df0c116a687da6c43e75f332a8a5f3f93c79338f2e4 SHA512 75e3aca9248ce599837f87bdc633fc48e9f5980f878884aef7e3b1b41a2cbe1d982d9eb6b5bd41a2057fc53b9edc4ce6fd9e016750d0757f58feaeb08f02fe3a
DIST serverless-application-model-1.61.0.gh.tar.gz 5166263 BLAKE2B 9f787dac4761974e4114e4d3477eaf050e92d722111fef65cad3ebda1f265420aa62fc068140e102a0963679f20485e3f53968da74ba804b70a131df9535dbe7 SHA512 0d12c1b0d83c2824177a68c544177e2d80ec2e670ab469069621553745850a88e5c6143f7f529e8227c576d72e37ba007ab06ad0302282266170e0c33096b626
+DIST serverless-application-model-1.62.0.gh.tar.gz 5177544 BLAKE2B ad0fdca32821e9b5dab86d03e65ad1a458493ecba0e75f6b2dc8b9978a6085ae5269496e231a2f09cd228e6bd2a66b3803953d2ca5aa7c265fa1019305aa1a9c SHA512 42f1d3ff352a02ab73f5a16cfeb800a80852986b09f71d9468b23c22b8dafff3a20e8ac92956020280884e4318bd80369b5b04ea6e9f0a28067dd792f1623747
diff --git a/dev-python/aws-sam-translator/aws-sam-translator-1.62.0.ebuild b/dev-python/aws-sam-translator/aws-sam-translator-1.62.0.ebuild
new file mode 100644
index 000000000000..5a83e871d7a8
--- /dev/null
+++ b/dev-python/aws-sam-translator/aws-sam-translator-1.62.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+MY_P=serverless-application-model-${PV}
+DESCRIPTION="A library that transform SAM templates into AWS CloudFormation templates"
+HOMEPAGE="
+ https://github.com/aws/serverless-application-model/
+ https://pypi.org/project/aws-sam-translator/
+"
+SRC_URI="
+ https://github.com/aws/serverless-application-model/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/boto3-2[${PYTHON_USEDEP}]
+ >=dev-python/boto3-1.19.5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.2[${PYTHON_USEDEP}]
+ <dev-python/pydantic-2[${PYTHON_USEDEP}]
+ >=dev-python/pydantic-1.8[${PYTHON_USEDEP}]
+ <dev-python/typing-extensions-5[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.4[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # so much noise...
+ sed -i -e '/log_cli/d' pytest.ini || die
+
+ # deps are installed by ebuild, don't try to reinstall them via pip
+ truncate --size=0 requirements/*.txt || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x AWS_DEFAULT_REGION=us-east-1
+ epytest -o addopts=
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index aa1fc6c8350c..915a16e5d4cb 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -7,3 +7,4 @@ DIST boto3-1.26.87.gh.tar.gz 614323 BLAKE2B b2dab2b5850777e493d7b4df7bda8cce8bb4
DIST boto3-1.26.88.gh.tar.gz 615353 BLAKE2B eecc0bf96a8f6eadc2337de0a29f993f0a7e20c691fdbc170680f749be4988f6c91963f3089e9ef51376e5829bb8493a051d376bf1375137a31a9f864b677f5b SHA512 46a013179343ec9fb8973700bec74a998e08a7346f84812d2d938e3327f686690d12236f687c66b1cfd93010a986006ce8db040b8172241d55e097b3da4adf7a
DIST boto3-1.26.89.gh.tar.gz 615718 BLAKE2B 3257e6efafaf139daf935385c252c10929be2a4277a8f0f192afc6dbd7cc32fa8f940a4e59ebbe25931c399dedb926a3c1848bd9cc0a7f0d377acb302eabe3b0 SHA512 02ee02b05023e9184f779ab8ff21afa6f7e56f7d2e883d021b2567676c5fc57cad6b475d55316a2017c2a837c41d2f5604824f440060e2f96804c5a61ccdd143
DIST boto3-1.26.90.gh.tar.gz 616132 BLAKE2B 1c6fb20ca08c75fce5bc192cd49c8540fb5a702790f5abcdcafd4ee803e4967e55c97a99214cfae57701e6f808501d48e3bf3b5c73e1737ca3f3909af2522d4d SHA512 da438af104c3362e366785da71b9892f45b2238d280c0c39df27572afc076d4535e73fe58aa7cc7fb565b92ed8423938ddb0f16e3a5ed641231e5efadb1bf0b5
+DIST boto3-1.26.91.gh.tar.gz 616798 BLAKE2B 51e61db07beeb39d8fc4be88818a13e259bc71fe25d1a52df10f7ffb364ca5d42509f4cda526fa1eb41e97bb6db1a453ab8865d8032b279523c3a994ca28bb7a SHA512 e1bde413d836ae5e3332e84a73c2f687b0d6800dcaed16ef24354f95a5e39995aeeeba3ca4a82158a7752e1cfd61fb6e39c301d9156b94e021ec0794463d1f90
diff --git a/dev-python/boto3/boto3-1.26.91.ebuild b/dev-python/boto3/boto3-1.26.91.ebuild
new file mode 100644
index 000000000000..9523f65d5fb9
--- /dev/null
+++ b/dev-python/boto3/boto3-1.26.91.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 42e1ce31d0d9..1144a30248de 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -7,3 +7,4 @@ DIST botocore-1.29.87.gh.tar.gz 11221589 BLAKE2B c60ce2b4d58fa660aebc143f63848d8
DIST botocore-1.29.88.gh.tar.gz 11227872 BLAKE2B 1fd9bf0f147ac87c92723d23b8bcefc8c22261932081aa4530b72de8b96ef964df293100a61940e2adb088f3b6ced4a64758f3c36dbf598676949fe84115083b SHA512 d71f2f7f453ecae000491acef22da701d12e0296154b3ba81cbc0821e9266f6e95e5adefbf94fdf98333775a03d7a6d255f28963c54278f22c5c888d15a291ef
DIST botocore-1.29.89.gh.tar.gz 11227280 BLAKE2B 41a1243972e591ea23fb2eebaa5b5fb9547bbd8ccd72fc907c487fd56ebf90d8120ceee472e34a29cd2b036926bc93bda33b564b1b7083e8984daf366eced1f8 SHA512 356298fd3be39957dd60e6268cfd2652998e62950b9060e0774c68e158506dcfea8188059b588c08f520617af38b91eb6b71c16b92f7a71f75f33cb73e7786cf
DIST botocore-1.29.90.gh.tar.gz 11234660 BLAKE2B 9472b843e9a36b59ffb8171a5148d07736690fef62a88a1853011b0fc6cfabe8588ea1e48b66696f1f9a5ade17c53261349249d20b704d91c1b8e0aac3528b12 SHA512 cdf20dbdac7146f2fb19ac8adce2d4b6605241cbfcbf15b5df7d7b8ccf1cf95f04e683de8bfc71322f2bdc467a15ada3502b19c43f0e5d1bd5c1a07996a1e731
+DIST botocore-1.29.91.gh.tar.gz 11238226 BLAKE2B b2bf854f37cc05f1c3bd873691bc0968f7bd2d7374479ce8b72ecbf168a7ba503b8e871212a8dd802e52a28f4913d70f2bfc42c19ebeff838466d7d5702640db SHA512 a1108a45f262716b955c7674e5098324727bcd17b130deed6cb7c88451a92f302272c55c767e7c1c6947be8f77eccece3eccc2ffb7d9da2f6649e21e87d9e5c6
diff --git a/dev-python/botocore/botocore-1.29.91.ebuild b/dev-python/botocore/botocore-1.29.91.ebuild
new file mode 100644
index 000000000000..0f4daaa48e81
--- /dev/null
+++ b/dev-python/botocore/botocore-1.29.91.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ # fails on unrelated warnings
+ tests/unit/test_client.py::TestAutoGeneratedClient::test_BOTO_DISABLE_COMMONNAME
+ tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
+ # TODO
+ tests/functional/test_credentials.py::SSOSessionTest::test_token_chosen_from_provider
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/browser-cookie3/Manifest b/dev-python/browser-cookie3/Manifest
index 5cfca6d0eaa2..21c332e78b30 100644
--- a/dev-python/browser-cookie3/Manifest
+++ b/dev-python/browser-cookie3/Manifest
@@ -1 +1,2 @@
DIST browser-cookie3-0.17.0.tar.gz 14926 BLAKE2B 9be2310f0250ea1f20a1b3ee2ef252f8d6fe0100e63f6cc63a22b1ea28ae138c71e383ce0e84955a3399cc7b88079669c97a1577033dfe360f77ac7304e08b53 SHA512 db9a734c3fd76d770d2f0ef8f821ba4e38880e883e8b19a9953b9edf9df9e5eeea053f3005b596caa9f5d54e7e17f4a7b2db056c2c17616d6d5702853e0f3fae
+DIST browser-cookie3-0.17.1.tar.gz 15882 BLAKE2B 76dbe885a21bc904eb53a2c9360f998d6b5d63b06b8025330d8960e07b630f13946f543a48cd9f3a24498e857e6245171fd7805bc403bae437caebd7209519bf SHA512 cf677a6cb8db32144dbced235fcd581743d997bcac77fe89a0d7c0b6400ff92d078cd04159f7819a8358128155cd105d44d4cde06cb345514e43d33dba931240
diff --git a/dev-python/browser-cookie3/browser-cookie3-0.17.1.ebuild b/dev-python/browser-cookie3/browser-cookie3-0.17.1.ebuild
new file mode 100644
index 000000000000..3c6893c9a37a
--- /dev/null
+++ b/dev-python/browser-cookie3/browser-cookie3-0.17.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Loads cookies from your browser into a cookiejar object"
+HOMEPAGE="https://github.com/borisbabic/browser_cookie3/"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/lz4[${PYTHON_USEDEP}]
+ dev-python/pycryptodome[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}"
+
+python_prepare_all() {
+ # make cryptodome-friendly
+ sed -i -e 's:pycryptodomex:pycryptodome:' setup.py || die
+ sed -i -e 's:Cryptodome:Crypto:g' __init__.py || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/canonicaljson/Manifest b/dev-python/canonicaljson/Manifest
index e1d9539118e9..a5258eb4dff2 100644
--- a/dev-python/canonicaljson/Manifest
+++ b/dev-python/canonicaljson/Manifest
@@ -1,2 +1,3 @@
DIST canonicaljson-1.6.4.gh.tar.gz 10408 BLAKE2B 4d55bb90cd4bbd5e019ffd0d505651c99dc6b296e9c0a52582265438586890cd6b663116ba0b66807b7a665c54eea001e039ca86c2fef9175b72a318a11a79a7 SHA512 7be1300c17d51f917b1e81931f6d0dd681b1eef9b7f4e82ba3ae683609d74fd924eb3a832c8261611f556c190329748966bf15abe34bc1d22f2ecdf29372b560
DIST canonicaljson-1.6.5.gh.tar.gz 10457 BLAKE2B 14a56133e6b907ddd897f1d2f183c6ac0ab247b629253e74fd76bf7a41092dabe20de51d5a3ef7c5d6c67c78c76c2174ef430aaf73d744477bb12a8eb1b1e4b2 SHA512 dc4c18b8b2cf833038ca77a7c1c5cac6b9e09b0bc902fa58db095767c23a7e6b24257694931a4db0503934535ae965f5ceafd26d42b9a6c9ae19821522b2d070
+DIST canonicaljson-2.0.0.tar.gz 10716 BLAKE2B e310e9e8e0437f0e5cc69d2e258887582f8ff010a242102a331b5d09686d0785bec35b8c1fd44ed18f4ad381af1710bc5edf186602106ab0196f33f48474a909 SHA512 aa9bed50f8d0c7c32451ec5f701c8a8b7d1139eb41797842eea1a86e7d86a52ddec6b1e0254469aa3c92ed1fc462bec647580d60d96c38be7d8bd8ee641b51b7
diff --git a/dev-python/canonicaljson/canonicaljson-2.0.0.ebuild b/dev-python/canonicaljson/canonicaljson-2.0.0.ebuild
new file mode 100644
index 000000000000..959cf7f182e5
--- /dev/null
+++ b/dev-python/canonicaljson/canonicaljson-2.0.0.ebuild
@@ -0,0 +1,21 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Canonical JSON"
+HOMEPAGE="
+ https://github.com/matrix-org/python-canonicaljson/
+ https://pypi.org/project/canonicaljson/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64"
+
+distutils_enable_tests unittest
diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index 96303c741ca3..b8e752ae3b98 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -2,3 +2,4 @@ DIST cfn-lint-0.73.2.gh.tar.gz 3343513 BLAKE2B 48ec085ec1d4c6fcee57d44915b657604
DIST cfn-lint-0.74.0.gh.tar.gz 3633749 BLAKE2B 68ba32c66a6cc4ddf1260523679565e7074e159c1d63b8e408a40426e0c3e7ec60159075b8dc91bb40d2fbdb8fb5a5fd55c0f70d02c165900a64a0d032285492 SHA512 635621995b74068ec2be9fcda0b710ab975e8aea428317d254fd6e93b2602071b985a6d80c12321b8245c2569b84b6c7c46e4cacfd59f0d0e21926ad6782e2f0
DIST cfn-lint-0.74.1.gh.tar.gz 3465800 BLAKE2B eb142f07f8a49fe52d7263ecbd359f6c31d89b8895ce97a816dfe2fd14fec4f82a8da708e0ed43734ae8c5184ba718da32dd517dae3068aac7ee8deeff230fbb SHA512 5b792919553292f40018d968bdb5049e07d95f7ee9e40dded439ed6ef3ab778b64d3b964d075e60c7b513f221e0e5b49fa0daa3a20135b765cdbfe3c495d2fc2
DIST cfn-lint-0.74.2.gh.tar.gz 3455745 BLAKE2B 0ca6f9d6e13264180ae2948858acdc3deab0135bfa7ddd16711b49cf7cce651257c7ba26ae155bec091d69aecc33903bd4098f23207aec5d7d414b5b826c7ccf SHA512 9aa918232214f5f0e165bcf8b4e3e7c5aaad1703825befc5347000f7ad143630220fdf9369015d449be4abf593380510b405d04dfe27d6615602c4a725b06681
+DIST cfn-lint-0.74.3.gh.tar.gz 3456672 BLAKE2B 9cc68ddefda86ee26e900989e40c7ded067fecb35cf077d559ebcacd6838378028010630e340dd52f04750dcc12094fb800e8e48a4c9e0607645463d3ca55827 SHA512 aad2209fa16f717d20127b2cf47d9aba586b85ccd41caf3ad8a50a6894cc3402d929be4cf9f76530223a3d69d79d843ef0edf802e53984b5c34563cf766f8189
diff --git a/dev-python/cfn-lint/cfn-lint-0.74.3.ebuild b/dev-python/cfn-lint/cfn-lint-0.74.3.ebuild
new file mode 100644
index 000000000000..8354055752aa
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-0.74.3.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+ https://github.com/aws-cloudformation/cfn-lint/
+ https://pypi.org/project/cfn-lint/
+"
+# pypi sdist is missing tests, as of 0.74.3
+# https://github.com/aws-cloudformation/cfn-lint/pull/2630
+SRC_URI="
+ https://github.com/aws-cloudformation/cfn-lint/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.60.1[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jschema_to_python-1.2.3[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ <dev-python/networkx-4[${PYTHON_USEDEP}]
+ >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ >=dev-python/sarif_om-1.0.4[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # TODO
+ test/unit/module/test_template.py::TestTemplate::test_build_graph
+ # requires git repo
+ test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+ # Internet
+ test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+)
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/clang-python/Manifest b/dev-python/clang-python/Manifest
index 15bdf7aeec4f..ac2c7f3d69fc 100644
--- a/dev-python/clang-python/Manifest
+++ b/dev-python/clang-python/Manifest
@@ -7,3 +7,4 @@ DIST llvm-project-16.0.0rc3.src.tar.xz.sig 566 BLAKE2B 43683d2d7b266a847516f7141
DIST llvm-project-16.0.0rc4.src.tar.xz 117930024 BLAKE2B 55cf032ad3ba52d2af0942fe1c627319ae95b466122d04b24a917c33e29139fae546d92c375715600190c02426b798803ead0ab7a97d86960cf98fca80e8815c SHA512 8d628205c5b93fe6683b67b97b5c7f98bae945bd87cccebcdac00ddd4362108bd171f077a5196242be0fb909c795592b34bfa1c96c50a744fb68f287fd9781cc
DIST llvm-project-16.0.0rc4.src.tar.xz.sig 566 BLAKE2B bfcf39070f32e16cfeae699d95d06f184b1331c3af403340c31cc5a973a3bb1faec0b6342445176cebed5819ddf68e4abfdaa8542ec425b1c822fc8c03c03349 SHA512 2af72e3d771e2361873007a944dcccfe81fbdbc3025a2101e03cbc15f1a173d39ceb94c4ae8966b1d7564bf004ee9a5ffa032e2334c0cf7154aea1090d04b00f
DIST llvm-project-2708869801ae00f4681f6b2d9d69b25b3fce26b6.tar.gz 180523586 BLAKE2B cf918d1e23f922d201a44531c9765b7d8ec2b3b8499ea7954845abcd5fa2687e85b3a34819a583c4f4a6d6e1baa49dbac0b4450cd6b9b322b0f13c88cd7da93c SHA512 18cb00e93d819993a925ae0467d382bc952d82c1eb92dbbb5bb3cdf87043269948670713734ddc3ea4ec50544e54dd11b6747496f7eaa02479374ab9ad075aa5
+DIST llvm-project-4bf004e07e2b9d6e04e3f33e1b02628c679de664.tar.gz 180304467 BLAKE2B 6750855453b575eb8fcc861d5b24b144497bba62df9b9292ac586cf340e04b2b58290fe9df6d89142f29b56aa37ddeb3bd11cc3337e4dc985a4487954d1e2ffa SHA512 d8a87064ba0f92967df019e9345222b87cda81852a9599902cedc4a49ec7d9e2175c972b7fa6d19920489c1d309822f9c31c23bdce0376a8d40c71d57bcd5068
diff --git a/dev-python/clang-python/clang-python-17.0.0_pre20230314.ebuild b/dev-python/clang-python/clang-python-17.0.0_pre20230314.ebuild
new file mode 100644
index 000000000000..f37802f5c2d7
--- /dev/null
+++ b/dev-python/clang-python/clang-python-17.0.0_pre20230314.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+inherit llvm.org python-r1
+
+DESCRIPTION="Python bindings for sys-devel/clang"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS=""
+IUSE="test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# The module is opening libclang.so directly, and doing some blasphemy
+# on top of it.
+DEPEND="
+ >=sys-devel/clang-${PV}:*
+ !sys-devel/llvm:0[clang(-),python(-)]
+ !sys-devel/clang:0[python(-)]
+"
+RDEPEND="
+ ${DEPEND}
+ ${PYTHON_DEPS}
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+ test? (
+ sys-devel/clang:${LLVM_MAJOR}
+ )
+"
+
+LLVM_COMPONENTS=( clang/bindings/python )
+llvm.org_set_globals
+
+python_test() {
+ # tests rely on results from a specific clang version, so override
+ # the search path
+ local -x CLANG_LIBRARY_PATH=${BROOT}/usr/lib/llvm/${LLVM_MAJOR}/$(get_libdir)
+ local -x CLANG_NO_DEFAULT_CONFIG=1
+ "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+src_test() {
+ python_foreach_impl python_test
+}
+
+src_install() {
+ python_foreach_impl python_domodule clang
+}
diff --git a/dev-python/doublex/Manifest b/dev-python/doublex/Manifest
index c9bb57a8e4a2..bd0b79d028c3 100644
--- a/dev-python/doublex/Manifest
+++ b/dev-python/doublex/Manifest
@@ -1,2 +1 @@
-DIST doublex-1.9.5.1.tar.gz 80508 BLAKE2B 3c3e233bbe4fcc3a122430bfb826ab9824d41472e80802f0e6d345da83cbe97bb33912a831bead550299942b0087063e86839f6bf3a29a08164b6e3bf641f437 SHA512 498e8a8076ed7d3585aae7a20edf54d4143e6875cd8e7af3b47f9f9cfc612a5217d7877092c2af7f1ac80c7aad7be89946671a836fc5817de06ec541c0cb1e06
DIST python-doublex-1.9.6.1.gh.tar.gz 81848 BLAKE2B 34aa108ba12f34f18f7a7b3d12fd2a539736d95097fd3ecf5344fdac551b16717d5348da1c6e2e10e19878b82de7e9195b9bd17d526156bc13e0ad2fd789b23e SHA512 c9779c5fcde43af653c2131894da44a878acf2cc81d53f6ab89a6fde071827a22aa97ec5a51561ad8861a98623d38c75f184be6234a6a5323c52e8e538c66710
diff --git a/dev-python/doublex/doublex-1.9.5.1.ebuild b/dev-python/doublex/doublex-1.9.5.1.ebuild
deleted file mode 100644
index 6fabb455b689..000000000000
--- a/dev-python/doublex/doublex-1.9.5.1.ebuild
+++ /dev/null
@@ -1,59 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-DISTUTILS_USE_PEP517=setuptools
-
-inherit distutils-r1 vcs-snapshot
-
-DESCRIPTION="Python test doubles"
-HOMEPAGE="https://bitbucket.org/DavidVilla/python-doublex"
-SRC_URI="https://bitbucket.org/DavidVilla/python-${PN}/get/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="amd64 arm64"
-IUSE="doc test"
-
-RDEPEND="
- dev-python/pyhamcrest[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
-"
-BDEPEND="
- doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
-"
-
-PATCHES=(
- # https://github.com/davidvilla/python-doublex/commit/425807d7276dcea0e0640384d65aeb15184c508c
- "${FILESDIR}/${P}-py310.patch"
-)
-
-distutils_enable_tests pytest
-
-python_prepare_all() {
- # Disable broken tests
- # https://bitbucket.org/DavidVilla/python-doublex/issues/5/support-for-python-36-37-38-tests-failing
- sed -i "s/test_*hamcrest_/_&/" doublex/test/report_tests.py || die
- # https://bitbucket.org/DavidVilla/python-doublex/issues/6/more-failing-tests-with-python-39
- sed -i -r "s/test_(proxyspy_get_stubbed_property|stub_property|custom_equality_comparable_objects)/_&/" \
- doublex/test/unit_tests.py || die
- distutils-r1_python_prepare_all
-}
-
-python_compile_all() {
- use doc && emake -C docs
-}
-
-python_install_all() {
- use doc && local HTML_DOCS=( docs/_build/html/. )
-
- distutils-r1_python_install_all
-
- rm "${ED}"/usr/README.rst || die "Couldn't remove spurious README.rst"
-}
-
-python_test() {
- epytest -o 'python_files=*_tests.py'
-}
diff --git a/dev-python/doublex/doublex-1.9.6.1.ebuild b/dev-python/doublex/doublex-1.9.6.1.ebuild
index f28a30b6d759..83cc26a95db9 100644
--- a/dev-python/doublex/doublex-1.9.6.1.ebuild
+++ b/dev-python/doublex/doublex-1.9.6.1.ebuild
@@ -22,7 +22,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="GPL-3"
SLOT="0"
-KEYWORDS="~amd64 ~arm64"
+KEYWORDS="amd64 arm64"
RDEPEND="
dev-python/pyhamcrest[${PYTHON_USEDEP}]
diff --git a/dev-python/doublex/files/doublex-1.9.2-py310.patch b/dev-python/doublex/files/doublex-1.9.2-py310.patch
deleted file mode 100644
index 5d3a974a38a1..000000000000
--- a/dev-python/doublex/files/doublex-1.9.2-py310.patch
+++ /dev/null
@@ -1,33 +0,0 @@
-commit ec3ce987a95abd951840213b77d44624b2ca5e84
-Author: Louis Sautier <sautier.louis@gmail.com>
-Date: Sat Aug 7 01:56:31 2021 +0200
-
- Support Python 3.10 by using collections.abc
-
-diff --git a/doublex/internal.py b/doublex/internal.py
-index 91f5866..072774a 100644
---- a/doublex/internal.py
-+++ b/doublex/internal.py
-@@ -20,7 +20,7 @@
-
-
- import threading
--import collections
-+import collections.abc
- import functools
- import six
-
-@@ -184,11 +184,11 @@ class Invocation(object):
- return Invocation(double, name, InvocationContext(*args, **kargs))
-
- def delegates(self, delegate):
-- if isinstance(delegate, collections.Callable):
-+ if isinstance(delegate, collections.abc.Callable):
- self.__delegate = delegate
- return
-
-- if isinstance(delegate, collections.Mapping):
-+ if isinstance(delegate, collections.abc.Mapping):
- self.__delegate = delegate.get
- return
-
diff --git a/dev-python/doublex/files/doublex-1.9.5.1-py310.patch b/dev-python/doublex/files/doublex-1.9.5.1-py310.patch
deleted file mode 100644
index e4aa9153115e..000000000000
--- a/dev-python/doublex/files/doublex-1.9.5.1-py310.patch
+++ /dev/null
@@ -1,29 +0,0 @@
-From b76a792b48109f1a10f460878fbe0fd78c41cd93 Mon Sep 17 00:00:00 2001
-From: Sebastian Pipping <sebastian@pipping.org>
-Date: Sat, 11 Feb 2023 02:00:46 +0100
-Subject: [PATCH] Fix import to collections.abc.Callable for Python >=3.10
-
-Subset of this post-1.9.5.1 upstream commit:
-https://github.com/davidvilla/python-doublex/commit/425807d7276dcea0e0640384d65aeb15184c508c
----
- doublex/internal.py | 4 ++--
- 1 file changed, 2 insertions(+), 2 deletions(-)
-
-diff --git a/doublex/internal.py b/doublex/internal.py
-index a85da9f..e5b25cb 100644
---- a/doublex/internal.py
-+++ b/doublex/internal.py
-@@ -24,8 +24,8 @@ import threading
- import functools
- import six
-
--if sys.version_info < (3, 3):
-- from collection.abc import Callable as abc_Callable, Mapping as abc_Mapping
-+if sys.version_info > (3, 3):
-+ from collections.abc import Callable as abc_Callable, Mapping as abc_Mapping
- else:
- from collections import Callable as abc_Callable, Mapping as abc_Mapping
-
---
-2.39.1
-
diff --git a/dev-python/ensurepip-wheel/Manifest b/dev-python/ensurepip-wheel/Manifest
index 801dadf9e89e..11ac29c87152 100644
--- a/dev-python/ensurepip-wheel/Manifest
+++ b/dev-python/ensurepip-wheel/Manifest
@@ -1 +1,2 @@
DIST wheel-0.38.4-py3-none-any.whl 36051 BLAKE2B 6c7d26fef5c6ec7987066d37579dd46a6b7704c4ec48c9f891cefdde5adf3a76934db9a912e6a05cc9d876782b7649110b814fd0df2e1af569f0336e47b3f850 SHA512 4d39de03dd3e87758de896c41240d58ed718e67042f33b0173446655e7c9d2c7d44f12e7a840058c93b9471c1492868ce38ef912d38e1bea723d082b329a4e4a
+DIST wheel-0.40.0-py3-none-any.whl 64545 BLAKE2B d42fcef0b33b560d5249d32c3400e8440bff154fbc21321e1802ffd6f734fcab032b296d5986cd5c23388800c9234d60c25e2e8f9008beeb6518391c52773f93 SHA512 83c4511bc8186485c7e61da1a798fdc41e209841300d70ea8e8f5515ec8200667b0195e3df149a81f10e3eaa159e8bab7f1701b43ce3d6746aee79cd0ba862e7
diff --git a/dev-python/ensurepip-wheel/ensurepip-wheel-0.40.0.ebuild b/dev-python/ensurepip-wheel/ensurepip-wheel-0.40.0.ebuild
new file mode 100644
index 000000000000..e3e7fe90c1fa
--- /dev/null
+++ b/dev-python/ensurepip-wheel/ensurepip-wheel-0.40.0.ebuild
@@ -0,0 +1,20 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit pypi
+
+DESCRIPTION="Shared wheel wheel for use in pip tests"
+HOMEPAGE="https://pypi.org/project/wheel/"
+SRC_URI="$(pypi_wheel_url "${PN#ensurepip-}")"
+S=${DISTDIR}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+src_install() {
+ insinto /usr/lib/python/ensurepip
+ doins "${A}"
+}
diff --git a/dev-python/feedgen/Manifest b/dev-python/feedgen/Manifest
deleted file mode 100644
index 7e0608027ec9..000000000000
--- a/dev-python/feedgen/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST feedgen-0.9.0.tar.gz 217925 BLAKE2B 45711892576a504ee7f5500642c7d23b4ec84f8fd5cf10f7f3565368bb7d7579b543d74e1893cc0e79f10b0b3389d164b6ccc7fb0f2787bf4d5286c1da0c64c5 SHA512 fca43ad43656b6a63c7489a8c8d4e9dd46182e2ecaead988d978014a29bec87e1cfbaae962907fae6373a759e8ab68ea2dfed8fa538d2deba7eaa5298c07af1d
diff --git a/dev-python/feedgen/feedgen-0.9.0.ebuild b/dev-python/feedgen/feedgen-0.9.0.ebuild
deleted file mode 100644
index db54d47473ad..000000000000
--- a/dev-python/feedgen/feedgen-0.9.0.ebuild
+++ /dev/null
@@ -1,21 +0,0 @@
-# Copyright 2022 Liguros Authors
-# Distributed under the terms of the GNU General Public License v2
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-PYTHON_REQ_USE="ncurses"
-RESTRICT="test"
-
-inherit distutils-r1
-
-DESCRIPTION="Feed Generator (ATOM, RSS, Podcasts)"
-HOMEPAGE="https://feedgen.kiesow.be/"
-SRC_URI="https://files.pythonhosted.org/packages/0b/60/7714c7f1339e063ad2e0964870797610c23191c180fc2713be100cc82d1a/${P}.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~mips ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
-IUSE="examples"
-
-distutils_enable_sphinx docs
-distutils_enable_tests setup.py
diff --git a/dev-python/feedgen/metadata.xml b/dev-python/feedgen/metadata.xml
deleted file mode 100644
index 36acccda7221..000000000000
--- a/dev-python/feedgen/metadata.xml
+++ /dev/null
@@ -1,10 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="project">
- <email>dev@liguros.net</email>
- <name>Development</name>
- </maintainer>
-
- <origin>ports</origin>
-</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/filelock/Manifest b/dev-python/filelock/Manifest
index 777b2651b8a7..935f3a81ca10 100644
--- a/dev-python/filelock/Manifest
+++ b/dev-python/filelock/Manifest
@@ -1 +1,2 @@
+DIST filelock-3.9.1.tar.gz 9720 BLAKE2B 4225d718f5c6e7c81e5db5d6ac2af42ce78a6c61b59f85bf8c2aafd71509b4811542e7a7648ffa2b14f3b3e762d975296c095e322e6c6ccf8fa5f1839213531d SHA512 7a240b0014a6570099106c72b376c47b7b23cddc3e70f78e2560ccccfcee31d1078d894c2e3ec6fed2f983859543a84cac03f8834df9e64fcb0a966308f7503e
DIST py-filelock-3.9.0.gh.tar.gz 205047 BLAKE2B 3995f7ad27bb09ca75310c4ada7645f2dd16c09ddb39663394f315443851037f2f9cf08eecb507eba521479696ad1004978d3fdd300a7128ac3354fce2e57d5f SHA512 1235ae9ebdb4c84b0c30e68be91e01eb1acbfcd15c85202fa54a3b91e4e507f221926f8886e1ec91acd4f71d2d88c08f536529b4cebfd2de4fb90118f5dc242e
diff --git a/dev-python/filelock/filelock-3.9.1.ebuild b/dev-python/filelock/filelock-3.9.1.ebuild
new file mode 100644
index 000000000000..27674ad8872b
--- /dev/null
+++ b/dev-python/filelock/filelock-3.9.1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 2018-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A platform independent file lock for Python"
+HOMEPAGE="
+ https://github.com/tox-dev/py-filelock/
+ https://pypi.org/project/filelock/
+"
+
+LICENSE="Unlicense"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/lit/Manifest b/dev-python/lit/Manifest
index 15bdf7aeec4f..ac2c7f3d69fc 100644
--- a/dev-python/lit/Manifest
+++ b/dev-python/lit/Manifest
@@ -7,3 +7,4 @@ DIST llvm-project-16.0.0rc3.src.tar.xz.sig 566 BLAKE2B 43683d2d7b266a847516f7141
DIST llvm-project-16.0.0rc4.src.tar.xz 117930024 BLAKE2B 55cf032ad3ba52d2af0942fe1c627319ae95b466122d04b24a917c33e29139fae546d92c375715600190c02426b798803ead0ab7a97d86960cf98fca80e8815c SHA512 8d628205c5b93fe6683b67b97b5c7f98bae945bd87cccebcdac00ddd4362108bd171f077a5196242be0fb909c795592b34bfa1c96c50a744fb68f287fd9781cc
DIST llvm-project-16.0.0rc4.src.tar.xz.sig 566 BLAKE2B bfcf39070f32e16cfeae699d95d06f184b1331c3af403340c31cc5a973a3bb1faec0b6342445176cebed5819ddf68e4abfdaa8542ec425b1c822fc8c03c03349 SHA512 2af72e3d771e2361873007a944dcccfe81fbdbc3025a2101e03cbc15f1a173d39ceb94c4ae8966b1d7564bf004ee9a5ffa032e2334c0cf7154aea1090d04b00f
DIST llvm-project-2708869801ae00f4681f6b2d9d69b25b3fce26b6.tar.gz 180523586 BLAKE2B cf918d1e23f922d201a44531c9765b7d8ec2b3b8499ea7954845abcd5fa2687e85b3a34819a583c4f4a6d6e1baa49dbac0b4450cd6b9b322b0f13c88cd7da93c SHA512 18cb00e93d819993a925ae0467d382bc952d82c1eb92dbbb5bb3cdf87043269948670713734ddc3ea4ec50544e54dd11b6747496f7eaa02479374ab9ad075aa5
+DIST llvm-project-4bf004e07e2b9d6e04e3f33e1b02628c679de664.tar.gz 180304467 BLAKE2B 6750855453b575eb8fcc861d5b24b144497bba62df9b9292ac586cf340e04b2b58290fe9df6d89142f29b56aa37ddeb3bd11cc3337e4dc985a4487954d1e2ffa SHA512 d8a87064ba0f92967df019e9345222b87cda81852a9599902cedc4a49ec7d9e2175c972b7fa6d19920489c1d309822f9c31c23bdce0376a8d40c71d57bcd5068
diff --git a/dev-python/lit/lit-17.0.0_pre20230314.ebuild b/dev-python/lit/lit-17.0.0_pre20230314.ebuild
new file mode 100644
index 000000000000..0e39fac626c6
--- /dev/null
+++ b/dev-python/lit/lit-17.0.0_pre20230314.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 llvm.org
+
+DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS=""
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Tests require 'FileCheck' and 'not' utilities (from llvm)
+BDEPEND="
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ sys-devel/llvm
+ )
+"
+
+LLVM_COMPONENTS=( llvm/utils/lit )
+llvm.org_set_globals
+
+# TODO: move the manpage generation here (from sys-devel/llvm)
+
+src_prepare() {
+ cd "${WORKDIR}" || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x LIT_PRESERVES_TMP=1
+ local litflags=$(get_lit_flags)
+ ./lit.py ${litflags//;/ } tests || die
+}
diff --git a/dev-python/mkdocs-material/Manifest b/dev-python/mkdocs-material/Manifest
index 6a49ac5d83af..f5cfac8f1874 100644
--- a/dev-python/mkdocs-material/Manifest
+++ b/dev-python/mkdocs-material/Manifest
@@ -2,3 +2,4 @@ DIST mkdocs-material-9.0.10.gh.tar.gz 10933071 BLAKE2B 702db94a8c91a856ffcf30402
DIST mkdocs-material-9.0.15.gh.tar.gz 10923424 BLAKE2B d2980f058001f0246be4ad34496a066b962e9fed8239415dd54dff0287211d97a640a2aca808aea1daec2f445b548153f6efd229bba515c968d50bd609936b4d SHA512 39b4a6d5d50ea27c7cdd2d23cf2d41a79d6dc0e1949346bd8d7c0e9a0792f7a9a9ae15594ff83017211d858d94240a09b0314a6294f268cf43e7337868ba5e69
DIST mkdocs-material-9.1.1.gh.tar.gz 10874113 BLAKE2B 24da8a9c93b46afaf7d2faf3becc3735c72e831b8ed5f3153f493178feffd9ee720b9a394814d8a151a337343065f664c0978fc8b02d357523d62c94c80a1f52 SHA512 e7c023027c9d970fde94a9bbd20e9b22a4f9666f3778660b759937ad855514720b710d8d32fa71802e3455bb1d3545b0451c055edd428098916acb980f465a7f
DIST mkdocs-material-9.1.2.gh.tar.gz 10883294 BLAKE2B bc84f9af96fcdd8a6704723d8c004bd3f201e906e7b1a46ab48253f7d7468e5219f14258713183c6e64c43f073cf499e3f1c03a76e6be77bf732acc832fe86ed SHA512 7f711792beaefe87a5843df6f8f67b6f2aaf92de36ac9c9b6d2c05aca3bd5760c5e306b5d6f7c57e1414bd77e2453800970e37af46cd78eb8095c6e2b19072bc
+DIST mkdocs-material-9.1.3.gh.tar.gz 10884530 BLAKE2B 1a7c257a0f1ce6fe9b5fa394cb9a8011f7d9252c5cd0cd7b935acd57aa2eb518cf4c945c164d64eca4c30c50f7e224b5bd6f122fa2cfbcf425ac6d5e59c40db2 SHA512 300410ff503bd4f751dc45aae9e3d88cb3589d0d3343208c6592a0d68f01c2c1ae5a4e0aeb80afabd0e04af3c51886356319ad00a6e8f801dbfe6b500db4eaaf
diff --git a/dev-python/mkdocs-material/mkdocs-material-9.1.3.ebuild b/dev-python/mkdocs-material/mkdocs-material-9.1.3.ebuild
new file mode 100644
index 000000000000..4de43bd469bc
--- /dev/null
+++ b/dev-python/mkdocs-material/mkdocs-material-9.1.3.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ dev-python/mkdocs-material-extensions
+ dev-python/mkdocs-minify-plugin
+ dev-python/mkdocs-redirects
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="A Material Design theme for MkDocs"
+HOMEPAGE="
+ https://github.com/squidfunk/mkdocs-material/
+ https://pypi.org/project/mkdocs-material/
+"
+SRC_URI="
+ https://github.com/squidfunk/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/jinja-3.0.2[${PYTHON_USEDEP}]
+ >=dev-python/markdown-3.2[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.4.2[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.14[${PYTHON_USEDEP}]
+ >=dev-python/pymdown-extensions-9.9.1[${PYTHON_USEDEP}]
+"
+
+# mkdocs-material-extensions depends on mkdocs-material creating a circular dep
+PDEPEND="
+ >=dev-python/mkdocs-material-extensions-1.1.0[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ # simplify pyproject to remove extra deps for metadata
+ "${FILESDIR}/${PN}-8.5.7-simplify-build.patch"
+)
+
+src_prepare() {
+ echo "__version__ = '${PV}'" > gentoo_version.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/mkdocs-minify-plugin/Manifest b/dev-python/mkdocs-minify-plugin/Manifest
index 974c5f805c2e..c9e4d8f605f0 100644
--- a/dev-python/mkdocs-minify-plugin/Manifest
+++ b/dev-python/mkdocs-minify-plugin/Manifest
@@ -1 +1,2 @@
DIST mkdocs-minify-plugin-0.6.2.gh.tar.gz 8480 BLAKE2B 91091702c0f5953b8cef4e081004cf44abbc2a7b21a0ea1996a337c96764a636fa79054c5d05ffc2814acb4b7fda0e833e61b02c6b97466586875e9da21c937b SHA512 563e150eb380aab105b18492eb0f725ec96fe12768c666b093e40d375e66cccf42f859aeb4d2788ae8c7a5b01e6e103c9f9aa1153802ad104955a98d90036144
+DIST mkdocs-minify-plugin-0.6.3.gh.tar.gz 8803 BLAKE2B 4888c646272613abab7310935b2179b2e8ddea13dc79ad6e2bcc88936202791b8b3ea1edea661a6988572e296174a889c8d5e774a77fca0b2b5e51ec6a24593d SHA512 4f20e7de415aa207af77a91ff40f37a7d9da641f30d538f04eca4592a92e68567e75b406947b00318207a8b4fd92d7c701cbb36cbc099899ae592c7b5b9cd5eb
diff --git a/dev-python/mkdocs-minify-plugin/mkdocs-minify-plugin-0.6.3.ebuild b/dev-python/mkdocs-minify-plugin/mkdocs-minify-plugin-0.6.3.ebuild
new file mode 100644
index 000000000000..4a03815a179f
--- /dev/null
+++ b/dev-python/mkdocs-minify-plugin/mkdocs-minify-plugin-0.6.3.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="An MkDocs plugin to minify HTML and/or JS files prior to being written to disk"
+HOMEPAGE="
+ https://github.com/byrnereese/mkdocs-minify-plugin
+ https://pypi.org/project/mkdocs-minify-plugin/
+"
+# pypi sdist lacks tests, as of 0.6.3
+SRC_URI="
+ https://github.com/byrnereese/mkdocs-minify-plugin/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/csscompressor-0.9.5[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.4.1[${PYTHON_USEDEP}]
+ >=app-text/htmlmin-0.1.12[${PYTHON_USEDEP}]
+ >=dev-python/jsmin-3.0.1[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PATH=${T}:${PATH}
+ cat > "${T}"/mkdocs <<-EOF || die
+ #!/bin/sh
+ exec "${EPYTHON}" -m mkdocs "\${@}"
+ EOF
+ chmod +x "${T}"/mkdocs || die
+ epytest
+}
diff --git a/dev-python/nbclassic/nbclassic-0.5.3.ebuild b/dev-python/nbclassic/nbclassic-0.5.3.ebuild
index fdfbfd5c193c..89e1c86d8e28 100644
--- a/dev-python/nbclassic/nbclassic-0.5.3.ebuild
+++ b/dev-python/nbclassic/nbclassic-0.5.3.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~riscv"
+KEYWORDS="~amd64 ~ppc ~riscv"
RDEPEND="
dev-python/argon2-cffi[${PYTHON_USEDEP}]
diff --git a/dev-python/nbconvert/Manifest b/dev-python/nbconvert/Manifest
index 8fec0bc6efb5..17b836706ef8 100644
--- a/dev-python/nbconvert/Manifest
+++ b/dev-python/nbconvert/Manifest
@@ -1 +1,2 @@
+DIST nbconvert-7.2.10.tar.gz 870708 BLAKE2B 837b5cf70f530b8fd3d566809d8d4faefdb3c4581b46e317d218a08bb06b80fdf59dcbd6c337b7fd62a9fdff676ea1cec941a7f6641c54ebee066a1bec19ffcd SHA512 078d6f1375f595f30db9eeebab55842353d549a294290a185c3817fc0bb2459c392120f089890409eec7cfe0fec7909752d20e4c55123249a4685d34655e0c05
DIST nbconvert-7.2.9.tar.gz 870386 BLAKE2B aea62f29d3e696c70d77ab73cc89347a4e0c8e077e98c45331608f7117fb3c98165bf3da89e4f3bf23b9d62c618289d98c9103c5b2998ca81f65cbfda65ca536 SHA512 0053e0e88f279d2fe430e516bcc19f98191e9ce414546ab1ff214f37c8f1cdfc4fc101faa4b5f1d5955fdc65c87aad367f5a5f12ce5991c68c015c5083f2f30c
diff --git a/dev-python/nbconvert/nbconvert-7.2.10.ebuild b/dev-python/nbconvert/nbconvert-7.2.10.ebuild
new file mode 100644
index 000000000000..484710b7af99
--- /dev/null
+++ b/dev-python/nbconvert/nbconvert-7.2.10.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 multiprocessing pypi virtualx
+
+DESCRIPTION="Converting Jupyter Notebooks"
+HOMEPAGE="
+ https://nbconvert.readthedocs.io/
+ https://github.com/jupyter/nbconvert/
+ https://pypi.org/project/nbconvert/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~riscv"
+
+RDEPEND="
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ dev-python/bleach[${PYTHON_USEDEP}]
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_metadata-3.6[${PYTHON_USEDEP}]
+ ' 3.9)
+ >=dev-python/jinja-3.0[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_core-4.7[${PYTHON_USEDEP}]
+ dev-python/jupyterlab_pygments[${PYTHON_USEDEP}]
+ >=dev-python/markupsafe-2.0[${PYTHON_USEDEP}]
+ >=dev-python/mistune-2.0.2[${PYTHON_USEDEP}]
+ >=dev-python/nbclient-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/nbformat-5.1[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/pandocfilters-1.4.1[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.4.1[${PYTHON_USEDEP}]
+ dev-python/tinycss2[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.1.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/nbclassic[${PYTHON_USEDEP}]
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ >=dev-python/ipywidgets-7[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ mkdir -p share/templates/classic/static || die
+ # tries to refetch stuff even if it's already present
+ sed -e 's:css = .*:raise PermissionError("You shall not fetch!"):' \
+ -i hatch_build.py || die
+ distutils-r1_src_prepare
+}
+
+python_configure() {
+ local src=$(
+ "${EPYTHON}" -c "import nbclassic as m; print(*m.__path__)" || die
+ )
+ cp "${src}/static/style/style.min.css" \
+ share/templates/classic/static/style.css || die
+}
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Missing pyppeteer for now
+ # TODO: Doesn't skip?
+ nbconvert/exporters/tests/test_webpdf.py
+ # Needs pyppeteer too
+ 'nbconvert/tests/test_nbconvertapp.py::TestNbConvertApp::test_webpdf_with_chromium'
+ # TODO
+ nbconvert/exporters/tests/test_qtpng.py::TestQtPNGExporter::test_export
+ nbconvert/tests/test_nbconvertapp.py::TestNbConvertApp::test_convert_full_qualified_name
+ nbconvert/tests/test_nbconvertapp.py::TestNbConvertApp::test_post_processor
+ # latex failing, might be too new pandoc
+ nbconvert/tests/test_nbconvertapp.py::TestNbConvertApp::test_filename_spaces
+ nbconvert/tests/test_nbconvertapp.py::TestNbConvertApp::test_pdf
+ # too new pandoc but we don't have old anymore
+ nbconvert/utils/tests/test_pandoc.py::TestPandoc::test_minimal_version
+ nbconvert/utils/tests/test_pandoc.py::TestPandoc::test_pandoc_available
+ )
+
+ # virtx implies nonfatal, make it explicit to avoid confusion
+ nonfatal epytest -n "$(makeopts_jobs)" --pyargs nbconvert || die
+}
+
+pkg_postinst() {
+ if ! has_version app-text/pandoc && ! has_version app-text/pandoc-bin; then
+ einfo "Pandoc is required for converting to formats other than Python,"
+ einfo "HTML, and Markdown. If you need this functionality, install"
+ einfo "app-text/pandoc or app-text/pandoc-bin."
+ fi
+}
diff --git a/dev-python/nbsphinx/Manifest b/dev-python/nbsphinx/Manifest
index 3fe774ab5455..b77193adf450 100644
--- a/dev-python/nbsphinx/Manifest
+++ b/dev-python/nbsphinx/Manifest
@@ -1,2 +1,3 @@
DIST nbsphinx-0.8.12.tar.gz 178986 BLAKE2B 5f79e20be5ceb3c9458530c19f453599cff8c278d5ad56faec952cc191336469cee3ecc130bbca8cae5d14447abf544a6b127251f3ee2a26e63c94a1326b707c SHA512 fd18cde3b7034bbd0f0f5ec7addd8925e867dbe0cfe810310240e5748014f2cc6bf275ff24d070d0c8748e7d144bf3dc2e9a26ede3a50e880f3db27d1a0d0575
DIST nbsphinx-0.9.0.tar.gz 171588 BLAKE2B e5273c9fa04b05335703a1a9c80b77c1d282aa7515379b5c3faa3f561996441a78202b8671b114fc858e064716bb167b6e19e5184167eea2fcac0c44c31c8f04 SHA512 a6a2a15190edb04ec1c953b8c9ad43c289c42896627d7eaeeb8711593ef33e164c1a6083009a91d663e5a2a150a3471e554117dee94c01d91742b8516a324759
+DIST nbsphinx-0.9.1.tar.gz 171587 BLAKE2B 38796379102f7488b58e0a4ca720b6800edc11477935c782dbd9124d96fb8587f5cd51b01f95f60f1372bafc5177e68a61a61c9d20261078a8421001e6936196 SHA512 d18c3da6b202c22dfdbb9ddfbb5b61af97200aaf75712f0e6a0221089c155faac9bca61cb0d552c231456e095f3303c59a9f23a99405dacf4b99117b929e6196
diff --git a/dev-python/nbsphinx/nbsphinx-0.9.1.ebuild b/dev-python/nbsphinx/nbsphinx-0.9.1.ebuild
new file mode 100644
index 000000000000..a18d61563441
--- /dev/null
+++ b/dev-python/nbsphinx/nbsphinx-0.9.1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Jupyter Notebook Tools for Sphinx"
+HOMEPAGE="
+ https://github.com/spatialaudio/nbsphinx/
+ https://pypi.org/project/nbsphinx/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/nbconvert[${PYTHON_USEDEP}]
+ dev-python/nbformat[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.8[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5[${PYTHON_USEDEP}]
+"
diff --git a/dev-python/netcdf4/netcdf4-1.5.8.ebuild b/dev-python/netcdf4/netcdf4-1.5.8.ebuild
index 48e8051b72d4..adc7a1b6195e 100644
--- a/dev-python/netcdf4/netcdf4-1.5.8.ebuild
+++ b/dev-python/netcdf4/netcdf4-1.5.8.ebuild
@@ -29,7 +29,7 @@ RDEPEND="${DEPEND}
BDEPEND="
test? (
sci-libs/hdf5
- sci-libs/netcdf[hdf5,tools]
+ sci-libs/netcdf[hdf5,tools(+)]
dev-python/cftime[${PYTHON_USEDEP}]
dev-python/numpy[${PYTHON_USEDEP}]
)"
diff --git a/dev-python/netcdf4/netcdf4-1.6.3.ebuild b/dev-python/netcdf4/netcdf4-1.6.3.ebuild
index 7f482552ea26..8fcc59479725 100644
--- a/dev-python/netcdf4/netcdf4-1.6.3.ebuild
+++ b/dev-python/netcdf4/netcdf4-1.6.3.ebuild
@@ -35,7 +35,7 @@ BDEPEND="
dev-python/cython[${PYTHON_USEDEP}]
test? (
${RDEPEND}
- sci-libs/netcdf[tools]
+ sci-libs/netcdf[tools(+)]
)
"
diff --git a/dev-python/notebook_shim/notebook_shim-0.2.2-r1.ebuild b/dev-python/notebook_shim/notebook_shim-0.2.2-r1.ebuild
index 895ce2b9db19..bd28951e89d2 100644
--- a/dev-python/notebook_shim/notebook_shim-0.2.2-r1.ebuild
+++ b/dev-python/notebook_shim/notebook_shim-0.2.2-r1.ebuild
@@ -17,7 +17,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~riscv ~x86"
+KEYWORDS="~amd64 ~ppc ~riscv ~x86"
RDEPEND="
<dev-python/jupyter_server-3[${PYTHON_USEDEP}]
diff --git a/dev-python/pathspec/Manifest b/dev-python/pathspec/Manifest
index e938309ba7c0..61a0aede8b28 100644
--- a/dev-python/pathspec/Manifest
+++ b/dev-python/pathspec/Manifest
@@ -1 +1,2 @@
DIST pathspec-0.11.0.tar.gz 45214 BLAKE2B 96b84fe78c8540ec9145c2735936c437b6eaff4e4f15e37de0c13c147e15c8852a19db4f4c9ce0dcf43dc543ac021edb148321b3a099b0915380ec243dd87041 SHA512 accce445ff5257baf9a3c055d337d8668f1c8db2b9f9641f174ae9d2307dc15810a1f45947d2b2a3838b85dd03ee04f54660d6d5590e24861021532515f6dff4
+DIST pathspec-0.11.1.tar.gz 45697 BLAKE2B a97d838584959b5be5bb055773b2b8c6992d0b1f9ab2d8116adf251762c534fe9af976cf9cc9b9aae9f12de519ee3d609315ed608e543d0028c6ccc87cffbd8c SHA512 8d9d080a796c13da1bd203aa8ce8b2fae5d7d46c7fdd7706c04567eb9c7b06f643ef310119252b5ef13ebd6368b30dca0e75e96e1471aeca8d6131bc0948b04a
diff --git a/dev-python/pathspec/pathspec-0.11.1.ebuild b/dev-python/pathspec/pathspec-0.11.1.ebuild
new file mode 100644
index 000000000000..7e364ef1e962
--- /dev/null
+++ b/dev-python/pathspec/pathspec-0.11.1.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Utility library for gitignore style pattern matching of file paths"
+HOMEPAGE="
+ https://github.com/cpburnz/python-pathspec/
+ https://pypi.org/project/pathspec/
+"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+distutils_enable_tests unittest
diff --git a/dev-python/pygame/Manifest b/dev-python/pygame/Manifest
index c294f2807ccf..d515591df4bd 100644
--- a/dev-python/pygame/Manifest
+++ b/dev-python/pygame/Manifest
@@ -1,3 +1,4 @@
DIST pygame-2.1.2.gh.tar.gz 6100415 BLAKE2B 4b81c2f0abc2c2c4732ddb8f8e6d4bffa5169e3d3ee2d9ea2798d294623a9c70e2ff004825030606285124ef1347177b46adc676db450785e8420de45f37db34 SHA512 531cb0371853def7a3ddb8eb0110fbd58acaf1b2351d7518402c9a960baca705bb34da879015e7a6cd5f2f8af98c57e7bc732021a8f62ed9f90cacf068c9c2d6
DIST pygame-2.1.3.gh.tar.gz 6517003 BLAKE2B 9f2062b24ef2e97995207fbf7572a8aa4d3475356e8646356758ad72b0b744fcf911adaa78bb730ed43c95fa23b8ed733a5573882bd83e112ae5e7e6ef099de9 SHA512 28f46826f58f73607b28c1411c6f2b71796cd4f98103df2dd47db842f578fe7f26dac01cb60d1cb00ac9dacfa62c6c3b913a244379ce70bd03265424e29052e6
DIST pygame-2.2.0.gh.tar.gz 6530469 BLAKE2B 301b8decd7afe7ad44d97b086ad27209a084884993122f0c8d6973e718cb811587aa2e2c34b5e9fc5859410ced4c298b24127b4bf166dbeaa225b5c731c66cb6 SHA512 212e0f6390fa84f4fbcb3051ecb83c324a59d7591fd216a0f17946a581cf01540116162357b41004a387fbd3395e030a5a6d5f804496d84558125f512c9c2617
+DIST pygame-2.3.0.gh.tar.gz 6547956 BLAKE2B 3189dc5dda7e5fc12fe2091af304816d905a24a33f6f43070040b90bd1bac1191fe6fe1a738ccfda49b5d9b472a704962c3b6aa7d8b99bc67e15317a9df06a2b SHA512 ed93cf5f0fac67b8a03f25f514ac71bf9b9a97f4df30efca9e3225396769e7616d3ce1063e6cc6ee3f4e6f1327154a9e0ec4e81b179578118af3a140bb1543bd
diff --git a/dev-python/pygame/pygame-2.3.0.ebuild b/dev-python/pygame/pygame-2.3.0.ebuild
new file mode 100644
index 000000000000..303edb79d795
--- /dev/null
+++ b/dev-python/pygame/pygame-2.3.0.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for SDL multimedia library"
+HOMEPAGE="
+ https://www.pygame.org/
+ https://github.com/pygame/pygame/
+ https://pypi.org/project/pygame/
+"
+SRC_URI="
+ https://github.com/pygame/pygame/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="examples opengl test X"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/numpy[${PYTHON_USEDEP}]
+ media-libs/freetype
+ media-libs/libjpeg-turbo:=
+ media-libs/libpng:=
+ media-libs/portmidi
+ media-libs/sdl2-image
+ media-libs/sdl2-mixer
+ media-libs/sdl2-ttf
+ X? ( media-libs/libsdl2[opengl?,threads,video,X] )
+ !X? ( media-libs/libsdl2[threads] )
+"
+DEPEND="
+ ${RDEPEND}
+ test? (
+ media-libs/sdl2-image[gif,jpeg,png,tiff,webp]
+ media-libs/sdl2-mixer[mp3,vorbis,wav]
+ )
+"
+# fontconfig used for fc-list
+RDEPEND+="
+ media-libs/fontconfig
+"
+# util-linux provides script
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ media-libs/fontconfig
+ sys-apps/util-linux
+ )
+"
+
+python_configure() {
+ PORTMIDI_INC_PORTTIME=1 LOCALBASE="${EPREFIX}/usr" \
+ "${EPYTHON}" "${S}"/buildconfig/config.py || die
+}
+
+python_configure_all() {
+ find src_c/cython -name '*.pyx' -exec touch {} + || die
+ "${EPYTHON}" setup.py cython_only || die
+}
+
+python_test() {
+ local -x PYTHONPATH=${BUILD_DIR}/install/lib
+ local -x SDL_VIDEODRIVER=dummy
+ local -x SDL_AUDIODRIVER=disk
+ script -eqc "${EPYTHON} -m pygame.tests -v" || die
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ # Bug #497720
+ rm -fr "${D}$(python_get_sitedir)"/pygame/{docs,examples,tests}/ || die
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ use examples && dodoc -r examples
+}
diff --git a/dev-python/python-dotenv/Manifest b/dev-python/python-dotenv/Manifest
index 901c5bfe42ce..33686de53205 100644
--- a/dev-python/python-dotenv/Manifest
+++ b/dev-python/python-dotenv/Manifest
@@ -1,2 +1 @@
-DIST python-dotenv-0.21.1.tar.gz 35930 BLAKE2B e89b88754406464c7d9493d8824147c1b3862a1f1c9a723ddd0cec9c053b5772fe2f5d55fac0e979a3ffc5d717ec22ceb45064ed45f58f2a3c12c1018ebe2f47 SHA512 30bbff6c4d95ee3e58d0ce895fd9bcceef52f59f66060bcbc66460bb5fff977760d168a09415a6a52587ad560b892da60fafa5824a6634ba3202d07243d2ac8b
DIST python-dotenv-1.0.0.tar.gz 37399 BLAKE2B cc5a4b810fae2a79e091a9523738be37ba030c29a373f375f2d413396f56d0606b77febddfba82085f94abc151e86b3a8d4719899e4e80e9956bea3989569dbd SHA512 8fc14eb07d8fb5e4cb4a83338aac1009aaa0715b3e7438b4ac8ee7da0ad5f7cf6b05121a685d05af7f03828ab39df61382cfbc5e95c6708246d1f400fe10d250
diff --git a/dev-python/python-dotenv/python-dotenv-0.21.1-r1.ebuild b/dev-python/python-dotenv/python-dotenv-0.21.1-r1.ebuild
deleted file mode 100644
index 1168ed417676..000000000000
--- a/dev-python/python-dotenv/python-dotenv-0.21.1-r1.ebuild
+++ /dev/null
@@ -1,44 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYPI_NO_NORMALIZE=1
-# Re-add pypy3 after https://bugs.gentoo.org/729958
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Manage .env files"
-HOMEPAGE="https://github.com/theskumar/python-dotenv"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
-
-# Requirement <dev-python/sh-2 has an upstream ticket:
-# https://github.com/theskumar/python-dotenv/issues/450
-DEPEND="
- test? (
- >=dev-python/click-5[${PYTHON_USEDEP}]
- dev-python/ipython[${PYTHON_USEDEP}]
- <dev-python/sh-2[${PYTHON_USEDEP}]
- )
-"
-
-DOCS=( CHANGELOG.md README.md )
-
-distutils_enable_tests pytest
-
-python_install() {
- distutils-r1_python_install
- ln -s dotenv "${D}$(python_get_scriptdir)"/python-dotenv || die
-}
-
-src_install() {
- distutils-r1_src_install
-
- # Avoid collision with dev-ruby/dotenv (bug #798648)
- mv "${ED}"/usr/bin/{,python-}dotenv || die
-}
diff --git a/dev-python/python-dotenv/python-dotenv-0.21.1.ebuild b/dev-python/python-dotenv/python-dotenv-0.21.1.ebuild
deleted file mode 100644
index c76650ffdf9d..000000000000
--- a/dev-python/python-dotenv/python-dotenv-0.21.1.ebuild
+++ /dev/null
@@ -1,41 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYPI_NO_NORMALIZE=1
-PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Manage .env files"
-HOMEPAGE="https://github.com/theskumar/python-dotenv"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
-
-BDEPEND="
- test? (
- >=dev-python/click-5[${PYTHON_USEDEP}]
- <dev-python/sh-2[${PYTHON_USEDEP}]
- >=dev-python/sh-1.09[${PYTHON_USEDEP}]
- )
-"
-
-DOCS=( CHANGELOG.md README.md )
-
-distutils_enable_tests pytest
-
-python_install() {
- distutils-r1_python_install
- ln -s dotenv "${D}$(python_get_scriptdir)"/python-dotenv || die
-}
-
-src_install() {
- distutils-r1_src_install
-
- # Avoid collision with dev-ruby/dotenv (bug #798648)
- mv "${ED}"/usr/bin/{,python-}dotenv || die
-}
diff --git a/dev-python/simplejson/Manifest b/dev-python/simplejson/Manifest
index 68ddae59b0a0..3edfa3904273 100644
--- a/dev-python/simplejson/Manifest
+++ b/dev-python/simplejson/Manifest
@@ -1 +1,2 @@
DIST simplejson-3.18.3.gh.tar.gz 81540 BLAKE2B bf6a162499b28a362638e19735f668571f88943ae396fb7f813d51ab0684caa8cb996a35deaf1d68adee2a812d685058e9e80d6f6e66604bbb7c704051b0b37f SHA512 54223e08775ab6277722342084bf56684588dd9dda574428cb73b791d37d0b74decef6082268c0389cc4586a534a19e62ec5738fa9ffffaee63f68e27fb465c8
+DIST simplejson-3.18.4.tar.gz 83721 BLAKE2B fb9ea04402ba740a445751ff2be2f5f5c826e20f38289dcf9aa9c8abbaba4b59bf906c3378317818c77bcfa6ccc3fe76608651eac660683eeac61f5750099e3d SHA512 6335389eb620c96d5c537cd335e20d4f112b86c0c463ceed4d8fa36c27bab8b00386b7995e40070bda5eed1fe5883a462579c7d09bdbc828c39537282669d0e4
diff --git a/dev-python/simplejson/simplejson-3.18.4.ebuild b/dev-python/simplejson/simplejson-3.18.4.ebuild
new file mode 100644
index 000000000000..3251834d013c
--- /dev/null
+++ b/dev-python/simplejson/simplejson-3.18.4.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Simple, fast, extensible JSON encoder/decoder for Python"
+HOMEPAGE="
+ https://github.com/simplejson/simplejson/
+ https://pypi.org/project/simplejson/
+"
+
+LICENSE="|| ( MIT AFL-2.1 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+IUSE="+native-extensions"
+
+DOCS=( README.rst CHANGES.txt )
+
+distutils_enable_tests unittest
+
+src_configure() {
+ export DISABLE_SPEEDUPS=$(usex native-extensions 0 1)
+ use native-extensions && export REQUIRE_SPEEDUPS=1
+}
+
+python_test() {
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ eunittest
+}
diff --git a/dev-python/sphinxcontrib-gtagjs/Manifest b/dev-python/sphinxcontrib-gtagjs/Manifest
deleted file mode 100644
index a9941f652623..000000000000
--- a/dev-python/sphinxcontrib-gtagjs/Manifest
+++ /dev/null
@@ -1,2 +0,0 @@
-DIST sphinxcontrib-gtagjs-0.2.0.tar.gz 2996 BLAKE2B f16cf8109ebf4ff00f39d62085aa527273d050e97247f89035eb56a6937cd53b952e5c5c18c7b8436791e1fa0cd3e2229825ce9a020c7bb898ff0d190bae2448 SHA512 0a91593f0064d686ead3b5d544aa6e7e13995f10d93bbd4256566c294a597cbebf2ae9a0d571316aba0c600e51681e9712de88b8c0d294686fde48936b070efd
-DIST sphinxcontrib-gtagjs-0.2.1.tar.gz 4883 BLAKE2B bb6c3f29c6bf346cbda4975f0968873a672e7716df82c1b3534bdf6a2364467d3b7775b607c9bc0cfbe51ccade63cc95abc329268f99e57ae2a18048aa81fda4 SHA512 021bd06f75e1c32a3888d817bb64ad0e061712514dbae5d07716aed0eace061ae96e4b1552cdb3f558ba2ff61ab9625a8a0168dbb8a6b1583938f3c5bfbc5337
diff --git a/dev-python/sphinxcontrib-gtagjs/metadata.xml b/dev-python/sphinxcontrib-gtagjs/metadata.xml
deleted file mode 100644
index 36acccda7221..000000000000
--- a/dev-python/sphinxcontrib-gtagjs/metadata.xml
+++ /dev/null
@@ -1,10 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="project">
- <email>dev@liguros.net</email>
- <name>Development</name>
- </maintainer>
-
- <origin>ports</origin>
-</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/sphinxcontrib-gtagjs/sphinxcontrib-gtagjs-0.2.0.ebuild b/dev-python/sphinxcontrib-gtagjs/sphinxcontrib-gtagjs-0.2.0.ebuild
deleted file mode 100644
index 26aeb1641dca..000000000000
--- a/dev-python/sphinxcontrib-gtagjs/sphinxcontrib-gtagjs-0.2.0.ebuild
+++ /dev/null
@@ -1,21 +0,0 @@
-# Copyright 2022 Liguros Authors
-# Distributed under the terms of the GNU General Public License v2
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-PYTHON_REQ_USE="ncurses"
-
-inherit distutils-r1
-
-DESCRIPTION="Sphinx extension to render global site tag of Google."
-HOMEPAGE="https://github.com/attakei/sphinxcontrib-gtagjs"
-SRC_URI="https://files.pythonhosted.org/packages/5a/ff/5b8efed1d848a40ecb8f191fd031282a990bc85ff18f4cc46b21d0ceb7b9/${P}.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~mips ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
-IUSE="examples"
-
-distutils_enable_sphinx docs
-distutils_enable_tests setup.py
-
diff --git a/dev-python/sphinxcontrib-gtagjs/sphinxcontrib-gtagjs-0.2.1.ebuild b/dev-python/sphinxcontrib-gtagjs/sphinxcontrib-gtagjs-0.2.1.ebuild
deleted file mode 100644
index 672b66e05a60..000000000000
--- a/dev-python/sphinxcontrib-gtagjs/sphinxcontrib-gtagjs-0.2.1.ebuild
+++ /dev/null
@@ -1,21 +0,0 @@
-# Copyright 2022 Liguros Authors
-# Distributed under the terms of the GNU General Public License v2
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-PYTHON_REQ_USE="ncurses"
-
-inherit distutils-r1
-
-DESCRIPTION="Sphinx extension to render global site tag of Google."
-HOMEPAGE="https://github.com/attakei/sphinxcontrib-gtagjs"
-SRC_URI="https://github.com/attakei/sphinxcontrib-gtagjs/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~mips ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
-IUSE="examples"
-
-distutils_enable_sphinx docs
-distutils_enable_tests setup.py
-
diff --git a/dev-python/sphinxcontrib-jquery/Manifest b/dev-python/sphinxcontrib-jquery/Manifest
index 5dcac46679aa..9db94878d534 100644
--- a/dev-python/sphinxcontrib-jquery/Manifest
+++ b/dev-python/sphinxcontrib-jquery/Manifest
@@ -1 +1,2 @@
DIST jquery-3.0.0.gh.tar.gz 121750 BLAKE2B 5b160fa1434b111683824442a0ecb0da230dba7f29161495859845282e1b6471faa256be6fffc2d34c6fc97e4e188bb1247284613bf65bf322fcb77463b6cf83 SHA512 a681f42734f2925b597f8d90c7b90a3f6df9549d1c97195799670542c5eabdc4d4d4aecfef29f56bd74ffad18ab179cc47f27b8395c11388259473690601901a
+DIST sphinxcontrib-jquery-4.1.tar.gz 122331 BLAKE2B 3f0ba80c20c13a6543968b0c7234fd86ba238fa723191956e6b125ae709db8a048d585815e6ddb152b3808bcc857bb43c025ffa722a18f74ab265a667c9574b7 SHA512 a686f59b973276e10bf6ece507d2c2f7ff26d46c3a4aef0884f359cb86a9b033bf0d5f1d1e22e0f7e4790dfb99be5ad7ffd8469193180b9ebe348c7ff3ed981c
diff --git a/dev-python/sphinxcontrib-jquery/sphinxcontrib-jquery-4.1.ebuild b/dev-python/sphinxcontrib-jquery/sphinxcontrib-jquery-4.1.ebuild
new file mode 100644
index 000000000000..4f4df63258a9
--- /dev/null
+++ b/dev-python/sphinxcontrib-jquery/sphinxcontrib-jquery-4.1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Extension to include jQuery on newer Sphinx releases"
+HOMEPAGE="
+ https://github.com/sphinx-contrib/jquery/
+ https://pypi.org/project/sphinxcontrib-jquery/
+"
+
+# MIT for jQuery
+LICENSE="0BSD MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/sphinx[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/sphinxext-opengraph/Manifest b/dev-python/sphinxext-opengraph/Manifest
deleted file mode 100644
index fbdb6d7c2804..000000000000
--- a/dev-python/sphinxext-opengraph/Manifest
+++ /dev/null
@@ -1,2 +0,0 @@
-DIST sphinxext-opengraph-0.7.5.tar.gz 27212 BLAKE2B 20f1207fb72b8173787a9acdc69b886ffad28ca3a809549a06dea354c1a3e71447f2ada08ff179ec041b457792fb7bad21b60f7d48faab5dc959728c73f697d8 SHA512 4a3dd883ea9212440b52db7871cdeed595cfe4aa266a0e881757a09b391dba24f887033a3d9e6922a88d51e1e75244b5c44b956642e8ec6ffd0089b7d5e4092f
-DIST sphinxext-opengraph-0.8.1.tar.gz 1031589 BLAKE2B af5dfba6886d55746337064c976ec447e38ca1fa6d6ecd57e11011eb62fa29de04ba8a9666ac6783b8177beb332bfd90e70d446218f1e13d4306bde07c5e60bb SHA512 ecbf67fc879c4659da446a9cda7af16c5a2dec5b4443087ef5bf417893c8c02d27847353d4b78cea7f3f7a140050d2b3e6e3f11e972c590f773b3a56a3831eb7
diff --git a/dev-python/sphinxext-opengraph/metadata.xml b/dev-python/sphinxext-opengraph/metadata.xml
deleted file mode 100644
index 36acccda7221..000000000000
--- a/dev-python/sphinxext-opengraph/metadata.xml
+++ /dev/null
@@ -1,10 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="project">
- <email>dev@liguros.net</email>
- <name>Development</name>
- </maintainer>
-
- <origin>ports</origin>
-</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/sphinxext-opengraph/sphinxext-opengraph-0.7.5.ebuild b/dev-python/sphinxext-opengraph/sphinxext-opengraph-0.7.5.ebuild
deleted file mode 100644
index e41e56f9510a..000000000000
--- a/dev-python/sphinxext-opengraph/sphinxext-opengraph-0.7.5.ebuild
+++ /dev/null
@@ -1,21 +0,0 @@
-# Copyright 2022-2023 Liguros Authors
-# Distributed under the terms of the GNU General Public License v2
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-PYTHON_REQ_USE="ncurses"
-
-inherit distutils-r1
-
-DESCRIPTION="Sphinx Extension to enable OGP support"
-HOMEPAGE="https://github.com/wpilibsuite/sphinxext-opengraph"
-SRC_URI="https://files.pythonhosted.org/packages/3a/8e/7c835a3247f350b6b1e38d738d0c132074e0d17d4349634409f920e08b3c/sphinxext-opengraph-0.7.5.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~mips ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
-IUSE="examples"
-
-distutils_enable_sphinx docs
-distutils_enable_tests setup.py
-
diff --git a/dev-python/sphinxext-opengraph/sphinxext-opengraph-0.8.1.ebuild b/dev-python/sphinxext-opengraph/sphinxext-opengraph-0.8.1.ebuild
deleted file mode 100644
index c940324a2239..000000000000
--- a/dev-python/sphinxext-opengraph/sphinxext-opengraph-0.8.1.ebuild
+++ /dev/null
@@ -1,21 +0,0 @@
-# Copyright 2022-2023 Liguros Authors
-# Distributed under the terms of the GNU General Public License v2
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-PYTHON_REQ_USE="ncurses"
-
-inherit distutils-r1
-
-DESCRIPTION="Sphinx Extension to enable OGP support"
-HOMEPAGE="https://github.com/wpilibsuite/sphinxext-opengraph"
-SRC_URI="https://files.pythonhosted.org/packages/13/63/328125fa3bd2ea35898405b4dc1b07a9ab0ce45e189746080418370de0d0/sphinxext-opengraph-0.8.1.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~mips ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
-IUSE="examples"
-
-distutils_enable_sphinx docs
-distutils_enable_tests setup.py
-
diff --git a/dev-python/sphinxnotes-mock/Manifest b/dev-python/sphinxnotes-mock/Manifest
deleted file mode 100644
index ce30eeb9b34a..000000000000
--- a/dev-python/sphinxnotes-mock/Manifest
+++ /dev/null
@@ -1,2 +0,0 @@
-DIST sphinxnotes-mock-1.0.0b0.tar.gz 3438 BLAKE2B 86863f1bc7feeaa8b8247149da5f4989ea3364800a6df4c258c086e82985c0ba37a20ce40d3724371efb7b938a28882ecf800c1293d960a5145b4c8c7a07c55b SHA512 9e5b45df9c283b7800f9653bc5c3eef7cb13671f611944f1287ac3831d6bc24804c6ffce4f819da4c8bcdff49048b9c786953f403e818923b8c17cb67d971054
-DIST sphinxnotes-mock-1.0.2.tar.gz 3673 BLAKE2B c8d943ebbb25f684b82c8e654e682c90bb76c289121831606c2c0e6895475df2227255129c4aee383f86b707e1443e11cda5c470447c6d159ba9198290e8e2ae SHA512 fff40438834b3debff64964779d8c0dbead0d66e93df9ab93069a2485de1e58dcf27443bf078fb09a273d25c17bfc08cf6a8657d3d5b9e0ce67c61db3964ab55
diff --git a/dev-python/sphinxnotes-mock/metadata.xml b/dev-python/sphinxnotes-mock/metadata.xml
deleted file mode 100644
index 36acccda7221..000000000000
--- a/dev-python/sphinxnotes-mock/metadata.xml
+++ /dev/null
@@ -1,10 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="project">
- <email>dev@liguros.net</email>
- <name>Development</name>
- </maintainer>
-
- <origin>ports</origin>
-</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/sphinxnotes-mock/sphinxnotes-mock-1.0.0_beta.ebuild b/dev-python/sphinxnotes-mock/sphinxnotes-mock-1.0.0_beta.ebuild
deleted file mode 100644
index 85f1f4125591..000000000000
--- a/dev-python/sphinxnotes-mock/sphinxnotes-mock-1.0.0_beta.ebuild
+++ /dev/null
@@ -1,24 +0,0 @@
-# Copyright 2022 Liguros Authors
-# Distributed under the terms of the GNU General Public License v2
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-PYTHON_REQ_USE="ncurses"
-RESTRICT="test"
-
-inherit distutils-r1
-
-DESCRIPTION="Sphinx extension for mocking directives and roles"
-HOMEPAGE="https://sphinx.silverrainz.me/mock/"
-SRC_URI="https://files.pythonhosted.org/packages/80/90/f2994a98fd262a8d6cb2ed482b83fb1b064aebc54da0b86c219d930a28f0/sphinxnotes-mock-1.0.0b0.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~mips ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
-IUSE="examples"
-
-S=${WORKDIR}/sphinxnotes-mock-1.0.0b0
-
-distutils_enable_sphinx docs
-distutils_enable_tests setup.py
-
diff --git a/dev-python/sphinxnotes-mock/sphinxnotes-mock-1.0.2.ebuild b/dev-python/sphinxnotes-mock/sphinxnotes-mock-1.0.2.ebuild
deleted file mode 100644
index 6502c3571ff8..000000000000
--- a/dev-python/sphinxnotes-mock/sphinxnotes-mock-1.0.2.ebuild
+++ /dev/null
@@ -1,22 +0,0 @@
-# Copyright 2022 Liguros Authors
-# Distributed under the terms of the GNU General Public License v2
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-PYTHON_REQ_USE="ncurses"
-RESTRICT="test"
-
-inherit distutils-r1
-
-DESCRIPTION="Sphinx extension for mocking directives and roles"
-HOMEPAGE="https://sphinx.silverrainz.me/mock/"
-SRC_URI="https://files.pythonhosted.org/packages/fb/b0/276ae8bfbadd11f573b708832f494bc288592cde7e5b455a472e7623d33d/${P}.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~mips ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
-IUSE="examples"
-
-distutils_enable_sphinx docs
-distutils_enable_tests setup.py
-
diff --git a/dev-python/sphinxnotes-strike/Manifest b/dev-python/sphinxnotes-strike/Manifest
deleted file mode 100644
index f92f47b327bd..000000000000
--- a/dev-python/sphinxnotes-strike/Manifest
+++ /dev/null
@@ -1,2 +0,0 @@
-DIST sphinxnotes-strike-1.1.tar.gz 3723 BLAKE2B a59195f77b001165033abca20c54431ab5520b9059d1fef9efdaf09fa06199efaff3521f3fcd185c0603d9474191c6b958d1d4d684f3391eaaeca7c01fb7b878 SHA512 294a17fccff48dfa5d53cb12046cfc4435568342bcc8510a68a8796bccb93b7b6538188bb0180796054a3bc5fd8ecaa83f8e0913f101c8138aee18ee11a9d209
-DIST sphinxnotes-strike-1.2.tar.gz 3634 BLAKE2B baf5e1c1c965f8fdb18533d61e09e3ff070cbf8f8ea16b8636e12ce918d59da52c993c3a221ce717fe36f859e33c4f21b13012a585b3dd286b26ca871c504b5d SHA512 769470e4e353f0e49ab57e09cc17e63b90391239dcd860c7fe4ddeea4401128ed0c94524ce0596eafd5d41a5789fe4142481f5825196ab9f145f401f6896fff2
diff --git a/dev-python/sphinxnotes-strike/metadata.xml b/dev-python/sphinxnotes-strike/metadata.xml
deleted file mode 100644
index 36acccda7221..000000000000
--- a/dev-python/sphinxnotes-strike/metadata.xml
+++ /dev/null
@@ -1,10 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="project">
- <email>dev@liguros.net</email>
- <name>Development</name>
- </maintainer>
-
- <origin>ports</origin>
-</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/sphinxnotes-strike/sphinxnotes-strike-1.1.ebuild b/dev-python/sphinxnotes-strike/sphinxnotes-strike-1.1.ebuild
deleted file mode 100644
index dfaa5873ff1f..000000000000
--- a/dev-python/sphinxnotes-strike/sphinxnotes-strike-1.1.ebuild
+++ /dev/null
@@ -1,21 +0,0 @@
-# Copyright 2022 Liguros Authors
-# Distributed under the terms of the GNU General Public License v2
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-PYTHON_REQ_USE="ncurses"
-
-inherit distutils-r1
-
-DESCRIPTION="Sphinx extension for strikethrough text support"
-HOMEPAGE="https://sphinx.silverrainz.me/strike/"
-SRC_URI="https://files.pythonhosted.org/packages/24/49/3d96c38b1da730ce30a27b32994214ff0000eb3e31876986b80f23b502a5/sphinxnotes-strike-1.1.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~mips ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
-IUSE="examples"
-
-distutils_enable_sphinx docs
-distutils_enable_tests setup.py
-
diff --git a/dev-python/sphinxnotes-strike/sphinxnotes-strike-1.2-r1.ebuild b/dev-python/sphinxnotes-strike/sphinxnotes-strike-1.2-r1.ebuild
deleted file mode 100644
index 9ea5861ede38..000000000000
--- a/dev-python/sphinxnotes-strike/sphinxnotes-strike-1.2-r1.ebuild
+++ /dev/null
@@ -1,25 +0,0 @@
-# Copyright 2022 Liguros Authors
-# Distributed under the terms of the GNU General Public License v2
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-PYTHON_REQ_USE="ncurses"
-
-inherit distutils-r1
-
-DESCRIPTION="Sphinx extension for strikethrough text support"
-HOMEPAGE="https://sphinx.silverrainz.me/strike/"
-SRC_URI="https://files.pythonhosted.org/packages/c6/13/873cb1a4e0e3501c2ed6f96317385ff5492f601a8d7b547dd30ed370cb1e/sphinxnotes-strike-1.2.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~mips ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux"
-IUSE="examples"
-
-DEPEND="
- dev-python/sphinx
-"
-
-distutils_enable_sphinx docs
-distutils_enable_tests setup.py
-
diff --git a/dev-python/tavern/Manifest b/dev-python/tavern/Manifest
index 7308def6fa71..98c2590decf2 100644
--- a/dev-python/tavern/Manifest
+++ b/dev-python/tavern/Manifest
@@ -1 +1,2 @@
DIST tavern-2.0.1.gh.tar.gz 208510 BLAKE2B a1b6f19d188437758690eced663556e9e3a5cfc8cedf4e04baba0478efd9507faa5dce2c6f308b2ce6e806617a5e75a8a1b2e60d9afe804b2294ca772ffbc7e9 SHA512 72025db6efa7d41f7dfe80ffc83033e12941ac3a9c4b71170647e571f6ce5022c84c0976d7d50fdfe38da06a4b516e334eed2334e016cfb013613fcc05eeaa9e
+DIST tavern-2.0.6.gh.tar.gz 207404 BLAKE2B 6dc5a01bac0ffce55e3459dcaf4bab60852c4d06c29e86fb6006ad7279cc7114d8e18dbdd6ce07edb70beebc77c13d4c1a34498232dcdafa9827085c7be63361 SHA512 d660a773fae85d40ea461a3529fd233f392f2b523501984f7f228b0b45439309a8386559477154db5bc90c0b2f3b52f27a658f30dd9ed83a945dcf8f7faf74c7
diff --git a/dev-python/tavern/tavern-2.0.6.ebuild b/dev-python/tavern/tavern-2.0.6.ebuild
new file mode 100644
index 000000000000..5e4e58701559
--- /dev/null
+++ b/dev-python/tavern/tavern-2.0.6.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A tool, library, and Pytest plugin for testing RESTful APIs"
+HOMEPAGE="
+ https://github.com/taverntesting/tavern/
+ https://pypi.org/project/tavern/
+"
+SRC_URI="
+ https://github.com/taverntesting/tavern/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/paho-mqtt[${PYTHON_USEDEP}]
+ dev-python/pyjwt[${PYTHON_USEDEP}]
+ dev-python/pykwalify[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/python-box[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/stevedore[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/colorlog[${PYTHON_USEDEP}]
+ dev-python/Faker[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # strip unnecessary pins, upstream doesn't update them a lot
+ sed -i -E -e 's:,?<=?[0-9.]+::' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ epytest -p tavern
+}
diff --git a/dev-python/testtools/Manifest b/dev-python/testtools/Manifest
index 2869c469f74e..1a6a401d0768 100644
--- a/dev-python/testtools/Manifest
+++ b/dev-python/testtools/Manifest
@@ -1 +1,2 @@
DIST testtools-2.5.0.tar.gz 235399 BLAKE2B 62d62cd12f19eb3fad419dc06e7f0152bf8f70a9f60927b1d791f2905b34e13199ceac93b3d30735acae2c5db1e8554cc5a7f6c8588d1f05fb213c424e90a12b SHA512 6adbf9e90f0647a44130e99cd94e4c0cbfab3a1b5c28b6bb124d061defe69d8043186cfe554099936effe16a6b07d59927bfeb6820f5a0fb34970ff243030fd4
+DIST testtools-2.6.0.tar.gz 237864 BLAKE2B 1540c3b6d0f98adccf69e281778cf5ce685cf5b63102f0ee260bc6d1a8cedef0f57a81506e13b705a452f22dd75858da08a7f577b39279b2ae05643b4e96338e SHA512 309893693b2ae63ff75395bf543bd42caa9aee3b1208ce5921d893b3635012f6aa8ed5e797b4d130d83e1b530778e87b91e57b901e8351f86d44f3289d54d04b
diff --git a/dev-python/testtools/testtools-2.6.0.ebuild b/dev-python/testtools/testtools-2.6.0.ebuild
new file mode 100644
index 000000000000..3f44dde632db
--- /dev/null
+++ b/dev-python/testtools/testtools-2.6.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Extensions to the Python standard library unit testing framework"
+HOMEPAGE="
+ https://github.com/testing-cabal/testtools/
+ https://pypi.org/project/testtools/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/python-mimeparse[${PYTHON_USEDEP}]
+ >=dev-python/pbr-0.11[${PYTHON_USEDEP}]
+ dev-python/pyrsistent[${PYTHON_USEDEP}]
+ >=dev-python/six-1.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/fixtures-2.0.0[${PYTHON_USEDEP}]
+ dev-python/testscenarios[${PYTHON_USEDEP}]
+ )
+"
+PDEPEND="
+ >=dev-python/fixtures-2.0.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx doc
+
+src_prepare() {
+ # very fragile to formatting changes (broken on py3.10 & pypy3)
+ sed -i -e 's:test_syntax_error(:_&:' \
+ testtools/tests/test_testresult.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ "${PYTHON}" -m testtools.run testtools.tests.test_suite ||
+ die "tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/typeguard/Manifest b/dev-python/typeguard/Manifest
index 1f9c43e6470b..93485c5f8f65 100644
--- a/dev-python/typeguard/Manifest
+++ b/dev-python/typeguard/Manifest
@@ -1 +1,2 @@
DIST typeguard-2.13.3.gh.tar.gz 37436 BLAKE2B a3cb616692119c64a9dc0d0bae25cc661b7974a0b6cf6632fa403f7c5430873570b1aaa310bc03843deee6f77a831c303ea9d9091db596eb565fce43980bbb13 SHA512 26c31ee9670650d1969320187a924d29d986894a38f1026af58f705b132b64be3b6e2ac34729f966f5d302d486334b5a5d9e65fb206245b82b0ff0852020b609
+DIST typeguard-3.0.0.tar.gz 55330 BLAKE2B b0b764414c70e109e5bdddd1bfac06af5b0db8d8913e2777b4bec94598ae70f5ed323686f54d902c541c606e7ae32129b3a29099e59cfe5ff2ecad4e6991409e SHA512 367ffea6636817bf9ce492de575b38b1f15aec323d415476bdea271f01ee60073274fd955bdad0e554eb306fb4e516b80a29e5db10015cf47856279235e36c24
diff --git a/dev-python/typeguard/typeguard-3.0.0.ebuild b/dev-python/typeguard/typeguard-3.0.0.ebuild
new file mode 100644
index 000000000000..5a506dba95c1
--- /dev/null
+++ b/dev-python/typeguard/typeguard-3.0.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Run-time type checker for Python"
+HOMEPAGE="
+ https://pypi.org/project/typeguard/
+ https://github.com/agronholm/typeguard/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_metadata-3.6[${PYTHON_USEDEP}]
+ ' 3.{8..9})
+ $(python_gen_cond_dep '
+ >=dev-python/typing-extensions-4.4.0[${PYTHON_USEDEP}]
+ ' 3.{8..10})
+"
+BDEPEND="
+ >=dev-python/setuptools-scm-6.4[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # mypy changes results from version to version
+ tests/mypy
+ )
+
+ local -x PYTHONDONTWRITEBYTECODE=
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ # the XFAIL test pass due to some package being installed
+ epytest -o xfail_strict=False
+}
diff --git a/dev-python/types-gdb/Manifest b/dev-python/types-gdb/Manifest
index 50c2029a827a..b9e84f0845e8 100644
--- a/dev-python/types-gdb/Manifest
+++ b/dev-python/types-gdb/Manifest
@@ -1,2 +1,3 @@
DIST types-gdb-12.1.4.3.tar.gz 10193 BLAKE2B 7c247e3fff8b958e5ccbaec91d83fbc13b79aaa8d9444c6de934392980362ffb87cc2158f53035c42931aac8ca51a48b011e367c84da944cadd6ff98a21d0547 SHA512 cc2b2a5890a0031208543b4852bd9888a51e5a9376d54f11a81e595b752e97ecf99a2306475c894cfb966e36152ac5746ea5601ba320a53c87152accd4dbaa23
+DIST types-gdb-12.1.4.4.tar.gz 10217 BLAKE2B c8724e3c1c5b0528d69da00e537d5f7f41f7eae056585be11e16437216315d7b0ab106b611a53dfd0434af9ace8dee4122d4829df3046a1b5549326571818c7a SHA512 28993238a2a8fad81269825dc88c838d87720f37c9bff01579b31416f3bf14eb047dcf932c1ac1b37403fd6872ed260c2efb615228e8c013f47ef8665e7574d3
DIST types-gdb-12.1.4.tar.gz 9561 BLAKE2B c6dda155f23e36570c2e00b5fe8e9fc36a42d2cc16aa79529865498b331768bf308d177842e20d1b0d941fc0a3d2e7559699e4eef8f02c1cbbdf83698751a144 SHA512 40653c68341aa73f2bd0e48b6631ad151ce5ec32011a189ae340e0a40c8713f2178d0a0ab47b6433a72a8482e8aa11fcffb12c230c41445f41c1056120f22f5c
diff --git a/dev-python/types-gdb/types-gdb-12.1.4.4.ebuild b/dev-python/types-gdb/types-gdb-12.1.4.4.ebuild
new file mode 100644
index 000000000000..158d412775d2
--- /dev/null
+++ b/dev-python/types-gdb/types-gdb-12.1.4.4.ebuild
@@ -0,0 +1,17 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Typing stubs for gdb"
+HOMEPAGE="https://pypi.org/project/types-gdb/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
diff --git a/dev-python/wheel/Manifest b/dev-python/wheel/Manifest
index e1612f697eda..3e16760be045 100644
--- a/dev-python/wheel/Manifest
+++ b/dev-python/wheel/Manifest
@@ -1 +1,2 @@
DIST wheel-0.38.4.gh.tar.gz 69770 BLAKE2B a6077e38c21626169d68a3256fbe6457de3d4fde5d0a582859fe7b9ec5d73c142538f7fbfe762ddd436473c682e7810407a08730f66ec2a7844084d349e0779f SHA512 2ff7c6175201f8145f2c1f9937c6955a1dd22eeedab1e456f65c4edae9186610d9e7702c35773b49026c56c9cc201672025e7d42fcc7f782153c65c28e6b90d0
+DIST wheel-0.40.0.tar.gz 96226 BLAKE2B f4207ab822f037a3d8decc50643ad7e49a632028c712bc33c680d178f10117ff0aa4f2a971bf739a77a76dbf818360d0f628ce997b942ee9d85ec7fac28badc8 SHA512 211e68d927c93b9b2748bf081097d1172cf8d4863d540be72f1d6023b64042410805d4208a2c94de89a1eeb0fb32044e78f41ab58ac94498ac0c489a1eea0d23
diff --git a/dev-python/wheel/wheel-0.40.0.ebuild b/dev-python/wheel/wheel-0.40.0.ebuild
new file mode 100644
index 000000000000..bcf3402cc486
--- /dev/null
+++ b/dev-python/wheel/wheel-0.40.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A built-package format for Python"
+HOMEPAGE="
+ https://github.com/pypa/wheel/
+ https://pypi.org/project/wheel/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos ~x64-solaris"
+
+RDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unbundle packaging
+ rm -r src/wheel/vendored || die
+ sed -i -e 's:\.vendored\.::' src/wheel/*.py || die
+ sed -i -e 's:wheel\.vendored\.::' tests/*.py || die
+
+ distutils-r1_src_prepare
+}